%%AccessDate
Used for Bookends reference import.
---
%%Address
Intended for storing a person's address.
From v5.9.0, if populated, Tinderbox will attempt automatic geolocation and to populate $Latitude and $Longitude
---
%%AgentAction
Action code expression that an agent applies to each of its matching aliased notes, i.e. its children.
The agent's actions are applied to aliases though the target can by modified by use of the 'original' (especially for intrinsic attributes) or 'agent' designators.
The contents of $AgentAction are shown in the agent's Create/Rename dialog, allowing review and manual editing of its value. This attribute is the equivalent of $OnAdd for a normal container note. The agent's actual $OnAdd attribute is ignored for action purposes.

---
%%AgentCaseSensitive
Control case-sensitivity of the agent query.
Used for agents and (smart) adornments only. Can be set manually via the agent's Create or Rename dialog's 'Case sensitive' tick box. It can only modify the String.contains() operator (and older deprecated precursors) and not List/Set.contains().
Note that when <code>true</code>, the Create/Rename dialog is not ticked. This is the reverse of the normal UI tick-box/Boolean mapping and was necessary to reflect replacement of the default query language with the .contains() operator, as the latter is case-sensitive by default. Basically, in UI terms all works as expected, it's only if manipulating this via action code that is it necessary to be aware of the reversal.
---
%%AgentPriority
Allows agent to run less frequently than normal, or be turned off.
A new pop-up menu in the Create/Rename Agent dialog allows manual change of agent priority. Regardless of the setting, every agent is always updated before export and when updating manually, except for agents that have been turned off.
The mapping of number values to the text names used in the Priority pop-up menu on the Create Agent and Rename Agent dialogs is as follows:
* Highest = 0
* Normal = 1 (default)
* Lower = 4
* Low = 10
* Off = -1
The $AgentPriority can only be set as a number - don't use text values or you get an error. Any other number value than those listed above causes the dialog pop-up to show 'highest'. Whether this is the true result, i.e. that setting '9' results in the same as setting '0' is not clear.
The default value of $AgentPriority is 1, which will cause the agent to be checked at roughly ten second intervals. Higher values of $AgentPriority cause the agent to be checked less frequently.
Setting $AgentPriority to 0 asks Tinderbox to check the agent as frequently as possible.
Setting $AgentPriority to -1 asks Tinderbox to retain existing matches but never update, effectively turning the agent off whilst retaining the last set of data and is excluded from Export and 'manual' update agent updates. Thus the current results can be 'frozen' and persist between sessions. However, if an agent is being turned off just to drop it out of regular cycles it will need to manually be set to a value or zero or greater before it can be used/updated - and manually reset to 'off' after use if it desired to 'freeze' it again.
Prior to v5.8.0, adornment's $AgentPriority defaulted to 0 (highest) instead of 1 (normal).
---
%%AgentQuery
Action code expression an agent will use to match and gather notes.
Shown as an input box in the Create and Rename dialogs of agents and smart adornments.
---
%%AIM
Intended for storing a person's Instant Messaging address.
---
%%ArticleTitle
Used for Bookends reference import.
---
%%Author2
Used for Bookends reference import.
---
%%Author3
Used for Bookends reference import.
---
%%Author4
Used for Bookends reference import.
---
%%Authors
Used for Bookends reference import.
---
%%AutoFetch
Should note content ($text) be fetched automatically from an online URI (as specified in $URL).
If true the content is automatically fetched when the note is opened.
Once $AutoFetch has run, the note containing the retrieved data has its $ReadOnly attribute automatically set to <code>true</code>.
See also, $AutoFetchCommand.
---
%%AutoFetchCommand
Action code expression used for post-import processing of $AutoFetch content.
If $AutoFetchCommand is empty (the default), $AutoFetch behaves as normal; the contents of the specified URL are stored in the note's text.
$AutoFetchCommand is an action, and thus uses the same syntax as agent actions and rules. It runs when the file is loaded, exported, and possibly during idle period s while the document is open. Typically, $AutoFetchCommand will invoke an outside program, perhaps fetching some information from the user's hard disk or network. For example:
	<code>$Text=`"ls ~/Documents";</code> 
	<code>$Text=runCommand("echo | ls ~"/Documents);</code> 
either of the above will replace the text of the note with a list of all the files currently in the user's Documents folder (the latter syntax is the recommended choice).
	<code>Delivered=`"myDatabaseQuery $TrackingID";</code> 
will run the shell script myDatabaseQuery in the user's OS home folder, passing it the value of the note's $TrackingID attribute as an argument.
---
%%AutomaticIndent
Controls automatic indentation of lists in text windows. 
It defaults to <code>true</code> as inherited from the Text preference "Auto-indent lists".
If a note’s $AutomaticIndent is <code>false</code> Tinderbox will not automatically indent paragraphs starting with *, •, and #. This effectively disables quick lists without needing to turn off all export formatting to do so. This is useful, for example, in notes that contain CSS stylesheets that can have lines starting with a # for ID style declarations. However, it does not affect list creation during HTML export (see $HTMLMarkupText).
NOTE: If $AutomaticIndent is turned off in a open note that contains lists in existing $Text, the lists will retain their former indentation. You can undo this by  left-indent them with the Shift Left command in the Style menu (cmd-shift=[ ). This is because the attribute tries to respect the user's intent and so doesn't remove existing indents - it merely prevents (or not) new ones being created automatically. If altering this attribute for an existing note, you should close the note text window before altering the value.
---
%%Badge
Name of the badge icon for the note.
The names used in $Badge are case-sensitive.
The badge's name is listed alongside the icon in the Badges pop-up menu. Badges are optionally displayed in Map and Outline Views.
The list of default badge names is given on the Badges pop-up menu page.
---
%%BadgeSize
The size of the badge rectangle in map view; if zero, the standard badge size is used.
---
%%BookTitle
Used for Bookends reference import.
---
%%Border
The size (width) of the border drawn around adornments, notes, agents and containers.
If $Border is 0 (zero), no border is drawn, regardless of the $BorderBevel type.
---
%%BorderBevel
Styles the corder around map icons.
For adornments and items (notes, agents, containers), if $Border is greater than zero, a border is drawn around the object in a style depending on this attribute's value.
In adornments, if $BorderBevel is raised, the border is bevelled. If automatic or plain the border is drawn as a simple outline. If $BorderBevel is none, the border is not drawn; note, though, that if $Border is greater than zero, space the width of $Border is left around the main part of the icon.
In notes, if $BorderBevel is raised or automatic the border is bevelled. If plain, its a simple outline. If $BorderBevel is none, the border is not drawn.
---
%%BorderColor
If $Border is greater than zero, a border is drawn around the adornment in this colour.
The special value, "automatic", draws an opaque border in the adornment's natural colour; adornments are otherwise translucent.
If $BorderColor is "automatic" and $BorderBevel is "plain", the colour is a mixture of the note's $Color and its $NameColor. In older versions, the border was drawn in the note’s $Color, and so was invisible. $NameColor was chosen because it typically contrasts with $Color, where $Color2, the accent colour, might be very close in value to $Color.
---
%%BorderDash
Display borders of map icons as a dashed line.
Only dawn if the $BorderBevel type is 'plain'. This attribute holds the length of the dash; the width of the dashed line is the $Border width.
---
%%CallNumber
Used for Bookends reference import.
---
%%Checked
Tick state of the optional Outline view checkbox.
Changing the attribute will add/remove a tick from the note's checkbox.
---
%%ChildCount
Number of children belonging to the current note (read-only).
This returns the count of direct children (i.e. one level down) and not all descendants. For a count (usually larger) of all notes below this see $DescendantCount.
Usually, rules and queries to test whether a note has children will test $ChildCount. But for export use if you want the expression to be <code>false</code> if the note has children but none of the children are exported, then using ^^if(^^childLinks^^)^^ …is better.
Note that the count includes adornments.
---
%%CleanupAction
Controls the way in which maps of agent containers are organised.
Values are case-sensitive. Accepted values are:
* grid (default)
* box (added v5.10.2)
* none
In the default mode, the agents contents will be organised in a grid, as was previously the case; the order of items in the grid being set, again as before, via the sort attributes for the agent container.
If the $CleanupAction value is set to "none" - or indeed any value other than "grid" including no value - the user is free to arrange the items within the agent containers as they would any other map. Whilst in this freeform mode the normal Map view Cleanup pop-up menu items may also be used.
In "none" mode Tinderbox adds new aliases to the agent map by the logic used for a normal map so it should avoid overlapping/hidden icons, etc.
Although smart adornments have agent-like queries they do not use $CleanupAction.
---
%%Color
Specifies the colour of a note in map view.
The same colour is used in the outline of note icons in Outline/Explorer views and element outlines in TreeMap/Chart views. 
The default is 'warm gray dark' but prior to v5.10.1 it was 'dark warm gray'. Note this is a different colour to the defined colour 'warm gray dark'! When describing a shade of a Tinderbox defined colour in action code, the modifier is placed first, thus 'dark warm gray', removing the possibility of ambiguity. In a number of UI dialogs with colour name/shade pop-ups the shade is normally listed after the named colour.
Adornments have a different default - 'blue'. Adornments also have the extra option of setting 'transparent' such that neither body or border colour are drawn.
There is no way to seed this value at app level, e.g. via user configuration files. Tinderbox saved colour schemes also don't save or set the $Color attribute.
Accent colour is provided by $Color2.
---
%%Color2
The note's accent colour.
It is used for the alternate colour of the $Pattern drawn on the (background) $Color of a note in a map view.
It is also used for the accent colour in bar() and vbar() map progress bar patterns, as well as container plots.
The default is 'dark warm gray dark' but prior to v5.10.1 it was 'light warm gray'
---
%%Container
Lets Tinderbox actions and rules change the parent of a note, moving it to a a new place within the document.
It is the parent's $Path plus a '/'. For any item, $Path is the equivalent of $Container + $Name.
The underlying default value of $Container an empty string, but this is never seen as at note creation Tinderbox always inserts the path to the note's parent, with ancestor note names delimited with a '/' (forward slash) and the $Container of any root-level note is "/".
Originally, a key use is to enable automatic onward routing of notes created via emails sent to Tinderbox (a feature currently suspended).
A more useful example would be for children of a document's 'Mail' note, used for collecting inbound email. Using monthly archives might result in a structure like '/Mail/Dec 07/', i.e. a note 'Dec 07' found inside the note 'Mail'. An action in Mail might be to set the added note's container to 'Dec 07'. Thus:
	<code>$Container="/Mail/Dec 07";</code> 
…will move the inbound email note from 'Mail' to 'Dec 07' inside 'Mail'. 
Note that the value passed in the action is a quoted string (now the recommended method for string literals).
An alternative to a quoted string is an attribute value:
	<code>$Container = $MyPathAttr</code> 
A neat feature of this process is that any notes/containers in the path that don't currently exist will be created. Note: the latter is a exception to the general rule that Tinderbox will not automatically create or delete notes. Thus for more advanced users, the 'Dec 07' note name could be a value computed from the current date allowing the document to add a new folder each month without the user having to bother with this task.
If the destination container has an $OnAdd action, that action is is performed immediately on the newly added note(s). Note that if the action tries to move a note into the container in which it currently resides the $OnAdd action is not run; this makes sense as such an action will have already been run when the note was first added.
If a note can't be moved, either because it is being moved inside its own descendant or because the destination is not a (valid) container (e.g. an adornment of some other special note type), no action occurs.
If using an agent to set a new container, it is important to consider whether the aim is to move the original of the note or merely the note's alias within the agent. Thus an $AgentAction like:
	<code>$Container(original)="Some Note"</code> 
…moves the original of the note matched by the agent to a new location. Conversely:
	<code>$Container="Some Note"</code> 
…moves the currently-processed agent alias. 
Important: moving the agent's alias will cause the agent's current cycle to cease, so ensure that the processed note no longer meets the agent query or only the first matched item will move its alias. Otherwise, the agent action will move one alias per cycle.
Although Tinderbox doesn't allow code-deletion notes, you might consider setting a 'Trash' note and using a $Container="/Trash"; action. The Trash container could then be reviewed for manual deletions - or retrieval of erroneously trashed notes.
One other important consideration when using $Container is inheritance and the effect of moving on existing inherited values. If using a lot of prototypes/inheritance it is certainly worth taking extra care with use of $Container.
Email to Tinderbox allows the same $Container-setting action to be specified within an email.

---
%%Created
The date a note was originally created (read-only).
If edited subsequently, the note's $Modified attribute will changed; at outset both are the same.
---
%%Creator
Creator of a note. The 'creator' name is taken from the User Name Preference (read-only).
If the latter preference is not personalised, the default value given to new notes is "system".
---
%%DescendantCount
Number of descendants of a note (read-only).
By comparison, $ChildCount will only show the number of direct child notes to the current notes (normally a smaller figure).
Note that the count includes adornments.
---
%%DisplayExpression
Action code expression to customise the way a note's name is displayed in Tinderbox views via $DisplayName.
$DisplayName holds the evaluated result of $DisplayExpression' code. If $DisplayName has a value if is used instead of $Name in many views within Tinderbox; $Name is unaffected.
Some users find it helpful to use actions and rules to append information to not names, e.g. a word count, number of children or the value of some attribute. However, this does change the actual name of the note and can cause problems with other actions which don't expect note names to change.
See a further description of display expressions.

---
%%DisplayExpressionDisabled
Allows the $DisplayExpression for a specific note to be disabled. It is intrinsic and thus not inherited.
A primary use is suppressing code from be run in prototypes.
$DisplayExpressionDisabled is convenient when a display expression is shared by all the children of a prototype, but it is not desirable that it be applied to the prototype itself. Thus it can be useful to suppress $DisplayExpression activation in prototypes. Previously, it was necessary include an 'if($Prototype)' test which was cumbersome and meant every inheriting note had to run the additional if test adding load to the action code cycle. That workaround can be discarded and the attribute set to false in the Prototype. Because, atypically, this attribute isn't inherited from a prototype, the prototype's setting doesn't affect the Display Expression in notes using the prototype.
For example, the intention may be for books to be displayed with their price:
	DisplayExpression: <code>$Name+" $"+$Price</code> 
but the prototype for books, "Book Prototype" could inhibit this $DisplayExpression to display its name without a meaningless price tag.
A similar control is supplied for rules: $RuleDisabled.
---
%%DisplayName
Evaluated result of $DisplayExpression, used inside Tinderbox views instead of $Name.
Being the result of $DisplayExpression, it is read-only.
Major views use $DisplayExpression in their window title.
---
%%DOI
Used for Bookends reference import.
---
%%DueDate
A date attribute provided to facilitate organisation of tasks.
See also $StartDate and $EndDate.
---
%%Edition
Used for Bookends reference import.
---
%%Email
Intended for storing the a person's email address.
---
%%EndDate
A date attribute provided to facilitate organisation of tasks.
See also $StartDate and $DueDate.
For Timeline views, events with only $EndDate or an $EndDate before $StartDate will not plot correctly. Thus if $EndDate is used, a $StartDate should be supplied.
---
%%File
Specifies the OS path to the object (in POSIX form).
The object can be either a file or a folder. Only one file may be attached per note; to attach several files drop a folder containing the desired files. This linked asset may also be an OS alias to a file or folder.
Adding a new note to $File replaces the existing reference. $File can also be set by dropping a file on the File button of a text window's sidebar.
When opened via the sidebar, $File's contents is passed to Finder which opens a finder window (for folders) or opens the file according to the files OS-associated application.
---
%%Fill
designates a source image for background textures for map notes and adornments. 
Built-in textures have the following name values:
* <code>linen</code> 
* <code>sandstone</code> 
* <code>steel</code> 
* <code>wood</code> 
* <code>water</code> 
The default value is an empty string - i.e. no fill texture.
The opacity of the fill texture can be controlled by the $FillOpacity attribute.
Additional images may be placed in <code>~/Library/Application Support/Tinderbox/fill</code>.
---
%%FillOpacity
Opacity of the map icon $Fill texture, or the icon's fill colours ($Color, $Color2) to be varied.
A value of 1 makes the fill opaque, while 0 makes the fill invisible. The default value is 0.75.
---
%%FullName
Intended for storing the name of a person.
---
%%Height
The height of a note icon in the Map view, in map units.
See also $Width.
Aliases do not inherit this property from their original but have their own value (i.e. it is an intrinsic attribute).
---
%%HoverExpression
An expression forming the Hover Expression code for a note.
---
%%HoverOpacity
Sets the opacity of the hover expression when displayed, with a range of 0 (invisible) to 1 (opaque).
---
%%HTMLBoldEnd
Ending tag to use for closing bold passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The opening tag is set via $HTMLBoldStart.
---
%%HTMLBoldStart
Starting tag to use for opening bold passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLBoldEnd.
---
%%HTMLCloud1End
Ending mark-up used to set the font size on words exported via the ^^cloud, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud1Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud2End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud2Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud3End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud3Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud4End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud4Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud5End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud5Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLDontExport
Specifies whether the content of the note will export or not during export to HTML, either as a page or as an inclusion in a page. 
This attribute is the setting for the 'Export' tick-box in the HTML page view. The default for pages is to Export (ticked) so this attribute's default, in keeping with its titling is <code>false</code> — i.e. avoiding a double negative "don't $HTMLDontExport".
Tinderbox doesn't ignore paths that include containers that are not exported. For example
	<code>^^include(/documentation/details/note)^^</code> 
…previously would have included nothing if documentation or details were had HTMLDontExport set to true, even if note had $HTMLDontExport set to <code>false</code>. 
Tinderbox doesn't create links to notes whose $HTMLDontExport value is true. The same holds for links where any ancestor has $HTMLExportChildren set to <code>false</code>.

---
%%HTMLEntities
Indicates that characters like ampersands and accented characters are converted into HTML entities, i.e. <code>&</code> becomes <code>&amp;amp;</code>. 
Added the degree symbol to the characters turned into entities. Swiss, French and German quote styles are automatically detected and 'entified' without needing to resort to this setting.
Export markup elements, e.g ^^value()^^, check this attribute before encoding values.
English typographic quotation marks &#147; &#148; and &#145; &#146; are exported as HTML entities rather than straight quotes, e.g. <code> &amp;#147;</code> for &#147; left curly double quotes.
The symbol € is exported as <code>&amp;euro;</code>.
&Delta; is exported as <code>&amp;Delta;</code>, &delta; as <code>&amp;delta;</code>, &mu; as <code>&amp;mu;</code> and &sum; as <code>&amp;sum;</code>.
The move to UTF-8 encoded export since version 5 has lessened the need to this setting.
---
%%HTMLExportAfter
Ending tag immediately after the end of the current note's text and/or includes.
Effectively, this is the 'footer' for each exported note's HTML page; q.v. $HTMLExportBefore.
---
%%HTMLExportBefore
Starting tag immediately before the current note's text and/or includes.
Effectively, this is the 'header' for each exported note's HTML page; q.v. $HTMLExportAfter.
---
%%HTMLExportChildren
An attribute controlling export of the current note's children.
The interpretation of $HTMLDontExport and $HTMLExportChildren has been simplified. These attributes are most often controlled in the HTML View, through the check-box items Export and Export Children.
If Export As Page is checked, Tinderbox will create an HTML file for the note. If it is not checked, no file will be created. The note's contents might appear on another HTML page, of course, by being ^^include^^-d by name or as one of another node's ^^descendants^^.
If Export Children is checked, Tinderbox will attempt to export the node's children (if any). Each child, of course, may have an Export As Page attribute.
Both Export Children and Export as Page are consulted when exporting, and the two settings are completely independent. We can export a page but not its children; we can export the children but not export any HTML for a note, or we can create both an HTML page and a directory of child pages.
Remember that if this attribute is false, Tinderbox never even examines the child notes when exporting to HTML. So individual child notes may have $HTMLDontExport set either true or false, and will not be exported in either case. 
The easiest way to set this attribute is with the "Export children as pages" checkbox on the HTML view window for the note. 
Some existing Tinderbox documents might generate some extra files or directories, because these settings formerly interacted in a complex way. The new rules are much simpler to understand, and are much more consistent.
Tinderbox doesn't create links to notes where any ancestor has $HTMLExportChildren set to <code>false</code>. The same holds for creating links to notes whose $HTMLDontExport value is <code>false</code>.
---
%%HTMLExportCommand
Run a program or script on the contents of the exported HTML file.
If $HTMLExportCommand is empty, no special action is performed.
Otherwise, the exported file is piped to the standard input of the command line in $HTMLExportCommand, and the file is replaced by command line's standard output. In other words, any action carried out by the linked command is carried out on the exported page after the normal page export.
This attribute needs to be actual command line code - it can't use code stored in another note as runCommand() can.
---
%%HTMLExportExtension
File extension to use for exported HTML pages (includes preceding full stop).
The as-installed default is created in Tinderbox's Preferences, and may be changed at (local) document level via the Document Preferences — in both cases via the 'Export with extension' option. The Built-in preferences options for this attribute are:
* '.html'
* '.htm'
* 'none'
A new note inherits the preference setting but the value can be altered at note level by editing the note's Info window or via a stamp. This allows for other extensions, such as ASP/PHP/etc., to be specified.
The HTML window also allows the exported page's extension to be set. If the window's default is altered it stored back as the note's value for $HTMLExportExtension.
---
%%HTMLExportFileName
Specific filename to be used for the note's exported HTML page instead of default calculated name.
If left empty, Tinderbox automatically generates a filename based on the note's title.
Note that a string set for this attribute should be the desired filename without its extension — i.e. 'index' not index.html'.
Automatic filenames strip unsafe (see below) characters from the note title and truncate the resulting string to the number of characters set in $HTMLFileNameMaxLength (where the default is 24). The case of characters in the exported name will be as per the note title except if $HTMLFileNameLowerCase is 'true'.
Default: (not set - empty string)
To avoid filename naming collisions, Tinderbox has to check if the intended export name already exists in the currently exported-to folder. If a duplicate name might arise, a suffix will be added. Simplistically, if file "abc.html" is already being exported to the current folder, another note that would export with that name will be exported as "abc_1.html" (and -@, _3, etc.).
Because the filename might change on export, Tinderbox doesn't return a value for <code>eval($HTMLExportFileName)</code>; an exception is if this attribute already has an explicitly set value. The workaround is to use ^^file()^^ - noting that the latter returns both file name and extension rather than just the name portion.
As Windows-OS webservers support fewer characters in file paths/names that other OSs, the following characters are suppressed when generating filenames from $Name:
	<code>[space] / \ ? % * : | ' " < > . & ^ + ( ) !</code> 
From v5.8.1, the hash (#) character is also omitted from filenames.
From v5.9.0, further manipulation is available via $HTMLExportFileNameSpacer.
From v5.10.2, $HTMLExportPath evaluates the likely exported filename and path.
---
%%HTMLExportFileNameSpacer
Character used to replace any character normally suppressed on export. 
It allows more flexibility with the construction of filenames created via HTML Export.
Reflecting the fact that long-term Tinderbox-created websites might be affected, the default value is an empty string, thus maintaining the status quo.
If used, it is most likely needed for all exported pages and thus should be set by changing the attribute default (i.e. at document level) rather than by setting the attribute at note level.
---
%%HTMLExportPath
The calculated export folder/filename path for the note (read-only)
The folders and file from export root that would be created if the file were exported at that time. It thus show the names of the folders & file with any characters omitted or substituted as part of the export process.
This can be extremely useful in more complex export scenarios where there is a need to reference in code an exported note's OS filename or path without being forced to hard-set $HTMLExportFileName. If not set, the latter cannot be queried within Tinderbox.
To get just the exported filename from the path:
	<code>$MyString = $HTMLExportPath.split("/").at(-1)</code> 
For this note:
	$Path = "^value($Path)^"
	$HTMLExportPath = "^value($HTMLExportPath)^"
Note the spaces being lost in the latter. The export version will also show $HTMLExportFileNameSpacer changes, if the latter is set.
---
%%HTMLExportTemplate
Name of the external template file or internal template to be used in exporting this note to HTML.
If blank, the defaults set at preferences level are used. Using the Template pop-up menu on the note's HTML view will also set this attribute for the note. The latter view is the only location that can be used for setting templates which are internal (notes), other than by using action code.
For internal templates, the attribute value is the template note's $Path.
Value is inherited from preferences if set there.
The default is the built-in HTML template 'plain'.
---
%%HTMLFileNameLowerCase
Letter case used for the HTML export filename for the note.
If set to 'true', this forces the exported HTML filenames to be all lowercase — useful if exporting to a server whose OS is case sensitive.
The default is <code>false</code>.
---
%%HTMLFileNameMaxLength
Specifies the maximum number of characters allowed in exported filenames (default is 24).
Originally, in early versions the default was 8 and is not updated by opening the TBX in newer versions. For TBXs with the old default is can be useful to set a figure greater than 8 to decrease the chance of name clashes amidst exported files.
The maximum value supported is 31 [sic], where this is the total of HTMLFileNameMaxLength, the period and the length of $HTMLExportExtension; e.g "myname" + "." + "html". As the latter defaults to '.html' - 5 characters, the maximum possible length is 26 characters. Using a 4 character length extension like '.htm' will raise the effective limit to 27 characters.
It appears Tinderbox (as a v5.x) is still using old pre-OS 10 filename limits. This should allow 32 characters, but using 27+'.html' results in pages with a 'h#0' extension that are effectively unusable as web pages. Using 28 or greater results in no export at all.
The default value is 24. Note that the default for $HTMLFilenameLowerCase also changes to false. In older TBXs created with the original default value, if you try a ';' reset of the value, it sets the old default of 8.
From v5.9.2, the maximum supported length - including the extension - increased to 128 characters. Previously, setting the value to 28 or more results in a silent failure with no export occurring and no warning to the user. Given the later it is not clear whether the 'legacy' limit of 31 is deliberate or whether something else in the app's export system can't cope with long filenames.

---
%%HTMLFirstParagraphEnd
Ending tag for the current note's first paragraph (and only the first paragraph).
The opening value is set via $HTMLFirstParagraphStart.
Export mark-up for all paragraphs succeeding the first are controlled by $HTMLParagraphStart and $HTMLParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLFirstParagraphStart
Starting tag for the note's first paragraph (and only the first paragraph).
The closing value is set via $HTMLFirstParagraphEnd.
Values for all paragraphs succeeding the first are controlled by $HTMLParagraphStart and $HTMLParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLImageEnd
Ending tag for images embedded in notes. 
The default value is <code>></code> but for XHTML use alter the value to <code>/></code>. The paired attribute is $HTMLImageStart.
---
%%HTMLImageStart
Start tag for images embedded in notes.
The paired attribute is $HTMLImageEnd.
---
%%HTMLIndentedParagraphEnd
Ending tag for any paragraph that begins with a tab character, will use this attribute rather than $HTMLFirstParagraphEnd or $HTMLParagraphEnd.
The opening export mark-up for such paragraphs is supplied by $HTMLIndentedParagraphStart.
The default is <code></blockquote></code> though for files created pre-v5, the old default of <code></code> will be retained so as not to upset existing output.
This default may be changed, or overridden, to generate a different indentation, to change the margins, etc.
See also $HTMLParagraphEnd and $HTMLFirstParagraphEnd.
---
%%HTMLIndentedParagraphStart
Starting tag for any paragraph that begins with a tab character (used instead of $HTMLFirstParagraphStart or $HTMLParagraphStart).
The closing mark-up for such paragraphs is supplied by $HTMLIndentedParagraphEnd.
The default is <code><blockquote></code> though for files created pre-v5, the old default of <code><p style="text-indent: 3em;"></code> will be retained so as not to upset existing output.
This default may be changed, or overridden, to generate a different indentation, to change the margins, etc.
See also $HTMLParagraphStart and $HTMLFirstParagraphStart.
---
%%HTMLItalicEnd
Ending tag to use for closing italic passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The opening tag is set via $HTMLItalicStart.
---
%%HTMLItalicStart
Starting tag to use for opening italic passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLItalicEnd.
---
%%HTMLListEnd
Ending tag to use for closing bulleted (unordered) lists in the current note's text being exported to HTML.
The opening tag is set via $HTMLListStart.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLListItemEnd
Ending tag to use for closing list items in the current note's text being exported to HTML.
The opening tag is set via $HTMLListItemStart.
If $HTMLListItemStart and $HTMLListItemEnd are empty, quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLListItemStart
Starting tag to use for opening list items in the current note's text being exported to HTML.
The closing tag is set via $HTMLListItemEnd.
If $HTMLListItemStart and $HTMLListItemEnd are empty, quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLListStart
Starting tag to use for opening bulleted (unordered) lists in the current note's text being exported to HTML.
The closing tag is set via $HTMLListEnd. 
Changing this attribute's tag to <code><ul type="circle"></code> with allowable type values of <code>circle</code>, <code>square</code> or <code>disc</code> lets you alter the bullet type.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLMarkupText
Ensures any HTML code (e.g. code examples) within the note text export as HTML entities rather than literal HTML code.
Thus a <code>&gt;</code> character is exported as <code>&amp;gt;</code> so as to show as &gt; on screen and not be parsed as HTML code.
You would use a non-default value of <code>false</code> for any note where you've included HTML mark-up that has already been HTML 'entified' in the note text (and so a <code>&amp;gt;</code> character in text is exported unchanged as <code>&amp;gt;</code> thus rendering as source code, etc.).
Whereas HTMLQuoteHTML just looks at mark-up code such as HTML/XML/PHP/etc. in the note's source text, HTMLMarkupText considers other aspects of the note. For example, if you set HTMLMarkupText to <code>false</code> macros aren't expanded, styles are ignored, quick links aren't created and so forth. As the attribute title implies you've turned mark-up off and you're just passing out raw text into the HTML export template. Depending on the latter's mark-up you may or may not see un-marked-up text in your browser.
Thus the default setting of <code>true</code> is almost invariably the correct setting for this attribute.
The attribute also controls - or has a part in - several display-related export functions (quick lists, auto-headings, etc.). 
Note that $AutomaticIndent separately controls quick list layout within a note text window without affecting HTML export processing on quick list markers.
---
%%HTMLOrderedListEnd
Ending tag markup for ordered list generated by quick lists.
HTML ordered lists may be created by beginning new paragraphs with the '#' symbol. Ordered and regular (unordered) quick lists should not be mixed. A string attribute.
Default value is <code></ol></code>. The starting tag is set via $HTMLOrderedListStart.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLOrderedListStart
Opening tag markup for ordered list generated by quick lists.
HTML ordered lists may be created by beginning new paragraphs with the '#' symbol. Ordered and regular (unordered) quick lists should not be mixed. A string attribute.
Default value is <code><ol></code>. The closing tag is set via $HTMLOrderedListEnd. Changing this to the syntax <code><ol type="a"></code> lets you alter the list item's 'bullet' type. The allowed values of <code>type</code> are:
* <code>A</code> - capital letters: A, B, C, D, etc.
* <code>a</code> - lower case letters: a, b, c, d, etc.
* <code>I</code> - Capital Roman numerals: I, II, III, IV, etc.
* <code>i</code> - Lower case roman numerals: i, ii, iii, iv, etc.
* <code>1</code> - Arabic numerals: 1, 2, 3, 4, etc.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLOverwriteImages
Instruct Tinderbox not to overwrite existing images when exporting.
In some circumstances, exporting the compressed image from Tinderbox might be undesirable - e.g. when a more detailed, uncompressed image is wanted in the actual export. By setting $HTMLOverwriteImages and placing the uncompressed image file in the export folder, Tinderbox will avoid replacing the uncompressed file.
---
%%HTMLParagraphEnd
Text and/or ending HTML mark-up to be included immediately after the end of all of the current note's paragraphs, except the first.
The opening value is set via $HTMLParagraphStart.
Export mark-up for all paragraphs succeeding the first are controlled by $HTMLFirstParagraphStart and $HTMLFirstParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLParagraphStart
Text and/or starting HTML mark-up to be included immediately before all of the current note's paragraphs, except the first.
The closing value is set via $HTMLParagraphEnd.
Export mark-up for all paragraphs succeeding the first are controlled by $HTMLFirstParagraphStart and $HTMLFirstParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLQuoteHTML
Indicate that any valid HTML mark-up in the source text of the of the current note will be rendered as text (i.e. exported as entities) instead of as HTML code.
For 'HTML mark-up' you can read any code written within in <> angle brackets (XML, PHP, etc.). Thus, a <code>true</code> setting exports a '&lt;br&gt;' in the source text as '&amplt;br&ampgt;' that shows as screen text whereas a <code>false</code> setting exports it as '&lt;br&gt;', i.e. a HTML source code line break like you see here between the apostrophes.
Values exported via ^^value()^^ and such will be parsed for HTML entities in addition to note text.
When set to true, where sections of mark-up include line breaks in the Tinderbox note, it does not output the line returns after each line of code - i.e. they form continuous text in the HTML output - unless the there is at least one character at the beat the beginning or end of the line outside the code within &lt;&gt; characters. In addition, the normal space character (spacebar) and Tab characters do not count for this purpose. Thus text in the TBX source like:
	<code>&lt;key&gt;Value1&lt;/key&gt;
	&lt;key&gt;Value2&lt;/key&gt;</code> 
renders on one line in the output:
	<code>&lt;key&gt;Value1&lt;/key&gt;&lt;key&gt;Value2&lt;/key&gt;</code> 
So, how then to form a line break in the HTML output without adding visible unwanted text? If you add an Option+space character to the end of the first code line in the source text:
	<code>&lt;key&gt;Value1&lt;/key&gt;</code>[opt+space] 
	<code>&lt;key&gt;Value2&lt;/key&gt;</code> 
…the (visible) HTML output result is formatted on two lines with no extraneous tags:
	<code>&lt;key&gt;Value1&lt;/key&gt;</code> 
	<code>&lt;key&gt;Value2&lt;/key&gt;</code> 
You can put this special space entity at the beginning or end to trigger the lines to be output as paragraphs. If you want some lines of code indented, just use several &amp;nbsp; thus:
&amp;nbsp;&amp;nbsp;&amp;nbsp;&lt;key&gt;Value1&lt;/key&gt;
For control over whether any mark-up at all is applied to source text during HTML export, see the $HTMLMarkupText attribute. For quoting code, it can be more flexible to use build-in support for inline &lt;code&gt; and &lt;pre&gt; tags.
To assist with the export of code samples in notes, Tinderbox recognises the &lt;code&gt;&lt;/code&gt; tag pair and exports the tags and all code between them verbatim when HTMLQuoteTML is set to false; the app's expectation is the user will provide CSS styling of the &lt;code&gt; element. As the &lt;code&gt; element is omitted unchanged this should allow for styling variations by applying ID or class values. To preserve line returns in code samples include the CSS rule for &lt;code&gt; - "white-space: pre;". This both honours line ends and white space exactly.
The next 2 examples are both code snippets indented with 5 spaces in the note source text, first without &lt;code&gt;:
     $MyAttribute  =  "house"
     $MyNumber  =  1
…and here with &lt;code&gt; mark-up:
<code>     $MyAttribute  =  "house"
     $MyNumber  =  1</code>
The output is seen on the web page in monospace font, but all on one line. However, if you want the white space and line ends in the source to be respected use &lt;pre&gt; as well:
<pre><code>     $MyAttribute  =  "house"
     $MyNumber  =  1</code></pre>
Note however, that the same limitation as described above for note text lines beginning with &lt; and ending in &gt;  still applies to auto-handled &lt;code&gt;&lt;/code&gt; sections when on a single line. The cleanest method to resolve the conflicting output results for a single line sample is to end the line with an Opt+space character. That results in the line being wrapped in &lt;p&gt; tags. Even better, if you start the line with a Tab character, the output will use the HTML set in your HTML View paragraph preferences for indented paragraphs.
Also see the note on Exporting code samples.
---
%%HTMLStrikeEnd
Ending tag to use for opening strikethrough passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLStrikeStart.
---
%%HTMLStrikeStart
Starting tag to use for opening strikethrough passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLStrikeEnd.
---
%%HTMLUnderlineEnd
Ending tag for exported HTML mark-up for underlined text in notes.
The code can also be set via the HTML views Style pane. The paired attribute is $HTMLUnderlineStart.
---
%%HTMLUnderlineStart
Starting tag for exported HTML markup for underlined text in notes.
The code can also be set via the HTML views Style pane. The paired attribute is $HTMLUnderlineEnd.
---
%%ID
The internal unique ID of the item and is a large arbitrary whole number (read-only, not sequential numbers).
Although set to no value (0) by default it is immediately populated with the items UID. The $ID UID number is unique within a TBX.
$ID opens a number of possibilities for export, including making HTML anchors for linking to includes in exported pages.
Important, re aliases. IDs of aliases do not persist between sessions. In other words, if a note X has an $ID of "3219936174" today, it will have the same ID next week, but aliases of X might have different IDs. Aliases created by agents may change IDs at any time. However, aliases inside inactive agents do retain their ID value, unless/until the agent is re-activated.
An object dragged or copy/pasted to a different TB acquires a new $ID, as this ensures the UID is unique in the new location (i.e. it's existing source $ID might already be allocated in the receiving document).
---
%%InboundLinkCount
Number of inbound links terminating at the current note (read-only).
See also $OutboundLinkCount.
The link count excludes any links of type "Prototype" (not true prior to v5.8.0).
---
%%InteriorScale
Factor by which notes inside a container are smaller than notes elsewhere in a map.
The default value is 1.5, so if $InteriorScale is set to 2, then interior (child) notes are half their normal map size. $InteriorScale is inherited via a Map Preference - Map interior scale.
Larger magnifications (values) give somewhat more detail of interior notes, i.e. a greater number of lower level notes visible within the 'viewport' area of container notes in Map View. Thus, to increase the number of lower level note icons seen, for a given container viewport size, increase the value of $InteriorScale.
---
%%IrisAngle
Experimental attribute, not currently used.
Number type, default is zero.
---
%%IrisRadius
Experimental attribute, not currently used.
Number type, default is 1.
---
%%IsAdornment
Indicates that an object is an adornment.
---
%%IsAlias
Indicates that an item is an alias (read-only)
The attribute can help when trying to find originals as distinct from their aliases. It also helps when querying for aliases.
---
%%ISBN
Used for Bookends reference import.
---
%%IsPrototype
Indicates this note is a prototype and can be used as such for by other notes.
A <code>true</code> value implies the note is available as a prototype.
Prototype values are inherited when the prototype is applied — normally at note creation. Subsequent editing of a prototype is not reflected through to notes based on that prototype; other methods must be used to update existing notes based on older prototype values.
---
%%Issue
Used for Bookends reference import.
---
%%IsTemplate
Mark a note as available to use as a template.
The attribute may also be set via the tick-box on the Create Note dialog or via action/rule code.
---
%%Journal
Used for Bookends reference import.
---
%%KeyAttributeFont
Name of font used for drawing key attributes.
If not set, $NameFont is used as previously.
---
%%KeyAttributes
A Set of attribute names to be displayed at the top of the current note's text page (or text pane in Explorer view).
The exposed attributes can be edited in situ; at its right, each non read-only attribute shown has a small black disclosure triangle. Clicking the latter opens a pop-up menu listing all the currently used values for that attribute. You can either select one of these or add your own value (which is subsequently shown in the pop-up list).
NOTE: Displayed value boxes only support the MacRoman character set - Unicode data may not display properly although underlying Unicode data if not affect as long as the box is not edited.
The desired 'key' attributes are displayed in the current note's text window from top to bottom in the order listed in the KeyAttributes string. The string may be set via:
* Rule or action code, e.g. <code>$KeyAttributes="Width;Height;OnAdd"</code>
* Using the pop-up menu on the note Create/Rename dialogs
* Using the note text window's sidebar pop-up menu
* Using the Inspector Quickstamp pane
* Displaying $KeyAttributes as a key attributes and editing the on-screen string.
Note that in the case of action code (#1 above) the set string must be quoted and no $-prefixes are used with the attribute names.
Thus a set value like <code>Width;Height;OnAdd</code> would cause system attribute 'Width' to be listed first, then 'Height', etc. Note that if selected for display manually, a note's displayed attributes as listed in alphabetical order.
If you change the value list, of the order of items in the list, you will need to refresh the note window — most easily done by clicking another Tinderbox window and then clicking back on the note (there is no 'refresh view' menu option).
$KeyAttributes can also be added by dragging them from the User or System panes of the Attributes dialog onto a note's text window.
By default, $KeyAttributes are displayed in alphabetical order, but they can be set in a custom order using an custom semicolon delimited list for this attributes values; additions/deletions to such custom orders won't reset the list to alphabetical.
The names of key attributes in the text window are drawn in $NameFont (defaulting to Preferences:Maps:Note Label Font).
Up to 8191 characters are allowed for the set's value string(s), giving plenty of room for complex pattern matching strings.
Dragging an item out of the key attribute table in note Text windows, deletes that item from $KeyAttributes.
---
%%LastFetched
Date when the current note was last updated via auto-fetch from the web (read-only).
---
%%Latitude
This holds the latitude of the $Address sourced via Automatic Geocoding.
Also see $Longitude.
---
%%LeafBend
One of several experimental attributes that let the user control the visual style of the 'leaf' and 'banner' shapes.
The valid range is -1 to 1.
See also $LeafBase, $LeafDirection, $LeafTip.
---
%%LeftMargin
$LeftMargin and $RightMargin, allow the user to set margins for individual notes.
Note that the margins are set in multiples of 9 pixels; a left margin of 4 is equivalent to 36 pixels (0.5" or about 12.5mm). The default is set in the Text pane of the Preferences.
When copying and pasting note text between TBX files with different margin settings, the pasted text takes the receiving note's margin settings but the note window must be closed and re-opened for this fact to be correctly displayed on screen. See also Pasting and Text Margins.
---
%%LineSpacing
Space between lines within a paragraph of a note.
To adjust the space between paragraphs, see $ParagraphSpacing).
$LineSpacing is expressed as a percentage of the line's nominal or recommended spacing. The default value of 100 gives "standard" line space, while a value of 200 results in "double spacing", i.e. "x2".
Dense text blocks may prove more readable with a $LineSpacing of 125 or 150 than with the familiar setting of 100.
---
%%Lock
Locks a note or (more usually) an adornment to the Map to avoid being moved inadvertently.
Primarily used in Map view (indeed, intended primarily for adornments), if $Lock is <code>true</code> the note can be selected but not repositioned - i.e. $Xpos and$Ypos are locked. The map icon may still be resized. A note with $Lock set cannot be repositioned in other views, thus it for instance can't be drag-repositioned in Outline or other views. However, reflecting the fact $Lock is really designed for map use, the Note menu's Move Note Up/Down controls can be used to affect map icon stacking order though this does in fact change the note's $OutlineOrder value (and thus its Outline view position).
For new adornments, $Lock state (default: unlocked) can be set via a check-box 'Locked' that appears in the Create Adornment dialog. (Note that the similar dialog for notes and agents lacks such a tick-box).
The value of Lock may be changed via:
* the Rename command of the adornment's contextual menu.
* the note or adornment's Info View (Locked in is the Map group of attributes)
* in the Note menu. For Adornments (only) this additionally requires that the current view is a Map view and that the adornment is the currently selected object. In the menu, the lock state is indicated by the entry toggling being 'Lock' or 'Unlock'.
A drag (marquee) select in Map views ignores locked adornments.

---
%%Longitude
This holds the longitude of $Address sourced via Automatic Geocoding.
Also see $Latitude.
---
%%MapBackgroundColor
Colour of the background in Map views.
This colour is in fact used for for the background of all main views (Outline, Explorer, Chart, Treemap).
The attribute's default is not set but it inherits the default of <code>#f2f2e6</code> (a buff colour) from the Preferences Maps pane.
A number of utility views also use $MapBackgroundColor (the document-level value, not the current note's) to draw the background of their list panes.
From v5.9.0 it is also be used, in Map views as the primary colour for background patterns.
---
%%MapBackgroundColor2
Accent colour used for Map view background patterns.
The attribute's default is not set but it inherits the default of <code>#f2f2e6</code> (a buff colour) from the Preferences Maps pane; the default is he same as that for $MapBrackgroundColor.
---
%%MapBackgroundPattern
This holds the pattern type for Map view background patterns.
The default "plain", is inherited from a Preference on the Maps pane.
---
%%MapBodyTextColor
Colour of the note's body text when displayed in a map view's note icon.
The colour can be specified as a named Tinderbox colour or as a hex colour, i.e. 'black' or '#000000'.
Default: <code>automatic</code>. This results in either a black or white colour depending on the value of $Color.
The note's map icon's title colour is set via $NameColor.
---
%%MapBodyTextSize
Specific font size for the body text displayed within map icons (rectangular icons only).
Some values have specific meanings:
* 0 (zero). The default value. The app chooses the text size automatically, based on scale vs. the size of the title.
* 1. From v5.0.2, this value suppresses display of body text, even if present.
For all other values, i.e. 2 or greater, use a point size value to choose an explicit font size, i.e. a value of 12 will render the body text as 12 point.
---
%%PrototypeHighlightColor
Colour of the circle shown behind the Outline view note icons of prototype notes.
The default is very light - if prototypes don't show a mark behind them try a darker value for this attribute. To avoid the mark showing, set the attribute the same as $MapBackgroundColor.
The default value of <code>#cceecc</code> is inherited from the Preference Map pane's Prototype highlight colour.

---
%%MapScrollX
Controls the initial X-axis scroll position of Map views of the contents of a container.
The value is in map units. These co-ordinates are floating-point numbers, and use the same relative co-ordinates as $Xpos and $Ypos.
For $MapScrollX, position '0' is when the scroll bar is in the middle of the view's vertical window scroller.
In the parent's viewport $MapScrollX is drawn halfway across the interior of the container's icon (i.e. $Width/2) though depending on $TitleHeight the position itself may be obscured.
If $MapScrollX/Y are {0.0}, then a note where <code>$Xpos=0;$Ypos=0</code> will be around the middle of the screen.
This attribute works in conjunction with $MapScrollY.
The attribute can be set via actions so it is possible to pre-set a particular area of the parent map to be set to be onscreen when opened.


---
%%MapScrollY
Controls the initial Y-axis scroll position of Map views of the contents of a container.
The value is in map units. These co-ordinates are floating-point numbers, and use the same relative co-ordinates as $Xpos and $Ypos.
For $MapScrollY, position '0' is when the scroll bar is in the middle of the view's horizontal window scroller.
In the parent's viewport $MapScrollY is drawn halfway down the interior of the container's icon (i.e. $Height/2) though depending on $TitleHeight the position itself may be obscured.
If $MapScrollX/Y are {0.0}, then a note where <code>$Xpos=0;$Ypos=0</code> will be around the middle of the screen.
This attribute works in conjunction with $MapScrollX.
The attribute can be set via actions so it is possible to pre-set a particular area of the parent map to be set to be onscreen when opened.

---
%%MapTextSize
Adjust the relative size of names in the Map View.
This option is chiefly useful for adornments, but can be useful to those wishing to tweak the look of their layout or allow for high-resolution screens and poor eyesight.
The base size of map items, at nominal magnification, continues to be set in Preferences, Maps, Note label size. This is indirectly inherits from Preferences. The attribute is a percentage of magnification applied to that note's Name caption text. Thus, if a note's $MapTextSize is 200, it will be twice as large as normally-sized items.
From v5.9.2 this cane be set from the Inspector's $Name pane.
---
%%Modified
Returns the time a note's text was last modified (read-only).
See also the $Created attribute will changed - at first creation of the note both are the same.
Note, the only attribute's changed being tracked here is $Text. Changes to other attributes do not update $Modified.
---
%%mt_allow_comments
Specifies, if 1, that MovableType weblogs allow comments.
---
%%mt_allow_pings
Specifies, if 1, that MovableType weblogs allow pings to weblogs.com.
---
%%mt_convert_breaks
Specifies, if 1, that MovableType adds its own markup to discover paragraph breaks.
---
%%mt_keywords
Allows the user to specify one or more categories for the current note for use in MoveableType and related weblogs.
---
%%Name
Specifies the title of the note.
$Name is equivalent to the ^^title^^ export code in the context of exporting data. The $Name string can be one word or more and can include symbols etc. - though the latter aren't suggested for use if you're going to export to HTML as you may/will have issues to resolve with HTML entities in the output.
Because Tinderbox recognises operators such as + and -, notes whose names begin with characters other than letters and numbers may sometimes be interpreted in unexpected ways.
For example, if a note is named "6*7", rules like
	<code>$Prototype=6*7</code> 
might be parsed as a multiplication with the result of 42. 
	<code>$Prototype="6*7"</code> 
should have the expected effect. 
The new attributes $DisplayExpression and (read-only) $DisplayName allow the user the option of showing the original name or as a manipulated version, e.g. with some information such as a word count concatenated on the end. Use of the new features is non-intrusive to existing use such as in actions & rules as $Name always retains the name as before any expression is applied to it.
---
%%NameAlignment
Specifies the justification of the title in notes and adornments.
Allowed values are:
* left
* center
* right
The attribute default is 'left', inherited from the Alignment setting in Title preferences.
---
%%NameBold
Controls use of bold type for the note name in map views (and all main views).
Changing the default value of $NameBold is convenient for bolding all note names.
---
%%NameColor
Colour used for the name (title) of the note in Map views. 
To set the colour of the title if displayed (via $ShowTitle) in the note's text window, use $TitleForegroundColor.
The colour can be specified as a named Tinderbox colour or – from v2.4.0 – as a hex colour, i.e. 'black' or '#000000'.
Default: automatic. This results in either a black or white colour depending on the value of $Color.
The colour of body text displayed in a map note icon is set via $MapBodyTextColor.
---
%%NameFont
Specifies the name of the font to use for rendering the $Name of a note in the Map view.
It is also used to render the note name in most views: e.g. Outline, Chart, Treemap, Roadmap, Find, Path, Common Words, etc.
The attribute's default is not set but is inherited as Lucida Grande (was Geneva pre-v2.3.0) from the Preferences Maps pane's 'Note label font' option.
---
%%NameLeading
Controls leading between lines of a multi-line title display, i.e. a wrapped map icon or outline title. 
Possible values:
* -1. Specifies that the space between lines should be chosen by the font ($NameFont).
* 0. Specifies that the lines of the name should be set as tightly as possible.
* Any other value (greater than zero) adds additional space between lines.
In outlines, the space between different titles is controlled by a Map Preference.
---
%%NameStrike
Controls whether note titles are rendered in strike-through.
More detail.
---
%%NoSpellling
Allows notes to be ignored if a document is set to 'check spelling as you type'. 
Default is 'false' - i.e. the note is included in spell checks to maintain previous behaviour.

---
%%OnAdd
Action code expression executed when a note becomes child of the current note, be it new or moved there by dragging. 
Adornments also offer 'OnAdd' action support. Although it takes a string argument, the string must be valid action syntax.
$OnAdd actions are applied to each item of a multiple-item drag, even if the dragged notes originate in a different file. The $OnAdd action is applied only once, when a note is created inside a container, or is moved into a container from some other container. This stops $OnAdd being re-applied for actions like moving an note on a Map and where $OnAdd may have iterative effects on a note if re-applied. Pasting a note into a container runs the $OnAdd action.
The container's $OnAdd action acts on both newly-made notes and agents.
For agents, $OnAdd is replaced by $AgentAction (though not in smart adornments)
Adornments show a slightly different behaviour. Here, the $OnAdd is re-triggered if a note is moved manually within the adornment - i.e. never leaves it - as the move effectively takes the note out of the adornment (start of move) and adds it back at the end of the move. However, if notes are moved automatically within an adornment due to adornment sorting, or by an external action altering $Xpos/$Ypos, the adornment's $OnAdd is not run again.
---
%%Opacity
Opacity of a note icon in map view.
The default opacity value of 100 leaves notes opaque, while an opacity of zero allows the note interior to be transparent.
Translucency may be useful in some maps with complex link networks, and also permits interesting visual effects.
N.B. Borders are not translucent.
Containers and agents are never translucent. If a note was translucent, later becomes a container, and later yet becomes a simple note once more, the note's $Opacity will again control its opacity.
Notes using some shapes – "cloud" and "bubble" – are drawn without borders when translucent. 
The Interior inspector's, Pattern -> translucent option toggles an Opacity value of 50/100.
From v5.10.2, both $TitleOpacity and $SubtitleOpacity are independent of $Opacity. However, the if higher than the value of $Opacity, the latter value is used when drawing the note.
---
%%Organization
Intended for storing the a person's email address.
---
%%OutboundLinkCount
Number of outbound links originating from the current note (read-only).
See also $InboundLinkCount. Web links are counted separately in $WebLinkCount.
The link count excludes any links of type "Prototype" (not true prior to v5.8.0).
---
%%OutlineBackgroundColor
Specifies a colour (named colour or hex value) to use as the background colour of that note's listing in Outline view.
The colour is carried across the width of the view including checkbox and column display areas.
With the default value of "automatic" the colour used is simply the same as $MapBackgroundColor; the inside of the checkboxes is always shown in $MapBackgroundColor.
---
%%OutlineColorSwatch
Controls whether a note in Outline View shows a colour swatch between the note icon and its title.
This attribute enables outlines to show simple progress bars.
---
%%OutlineDepth
Number of outline levels between a note and the document root (read-only).
Actually, it is 1 + the number as 'top-level' notes have $OutlineDepth of 1, notes inside a top-level container have$ OutlineDepth of 2, and so forth.
Aliases do not inherit this property from their original but have their own intrinsic value (from v5.6.0).
---
%%OutlineOrder
Sequential position in the overall document hierarchy (read-only).
It can be used by agents to judge the position of a note within the document. Note that some items not displayed in the Outline view, such as adornments, are still included in the $OutlineOrder. This should be borne in mind if doing calculations based on comparing sibling $OutlineOrder values as the 'next' item may not be a note (and there's no way to test this fact).
The order of notes within the current container is shown by $SiblingOrder.
The lowest number is drawn at the front in a map. If notes with outline orders #1 and #5 overlap, part of #5 will be behind the icon for #1.
The note menu command to move a note forward/backward or all the way to the back/front will alter both $OutlineOrder and $SiblingOrder for the affected note(s).
Aliases do not inherit this property from their original but have their own value (from v5.6.0).
---
%%OutlineTextSize
Relative size of individual items in Outline views.
The base font size of outline items (usually 10pt) is set as a Preference in the Maps section.
The new attribute is a numerical percentage of magnification applied to a particular note. Thus, if a note's $OutlineTextSize is 200, it will be twice as large as normally-sized items.
This setting does not affect the line weight of separators, only the text height of the line they occupy (to allow for a text label).
---
%%Pages
Used for Bookends reference import.
---
%%ParagraphSpacing
Sets paragraph spacing for individual notes.
The default value of $ParagraphSpacing is set in the Text pane of Document Preferences.
---
%%Path
Contains the path from the root of the document to the note (read-only).
For example, if the document contains the following notes:
<pre>
To Do
    Bank
    Post Office
    Garden
        Weeding
Done
    Tax
</pre> 
then the $Path of note 'Weeding' would be
<code>/To Do/Garden/Weeding</code> 
Note that this is the full path, including the current notes name. A full path always starts with a '/' character.
---
%%Pattern
Optional pattern to be drawn on the face of icons in Map view.
These patterns look best when the two colours are similar but not identical. The keywords are case-sensitive. Originally the default value was an empty string but in v5.10.1 this changed to 'diagonal'. In v5.10.1 this changed to 'solid' - which equates to 'plain'. The current default is 'plain', as at v5.12.0.
If $Pattern is plain no pattern is applied and the note face is drawn in solid $Color.
If $Pattern is lines, the face of the note is filled with alternative horizontal lines of $Color and $Color2.
If $Pattern is gradient, the face of the note is filled with a linear colour gradient, top to bottom, from $Color to $Color2.
If $Pattern is diagonal, the face of the note is filled with a linear colour gradient, running from upper-left to lower-right corner, from $Color to $Color2.
If $Pattern is cylinder, the face of the note is filled with a cylindrical gradient, running from $Color at the top through $Color2 at the midpoint, and then to $Color again at the bottom.
If $Pattern is radial, the face of the note is a graduation from $Color at 1/3 in from top-left through $Color2 toward all edges.
If $Pattern is not set (empty string), no pattern is applied and equating to plain.
The remaining four patterns can't be set via the Pattern menu; bar(), vbar(), bargraph() and plot(). Rather they are set via manual editing of this attribute (Info view, key attribute) or via actions, rules, stamps. etc., acting upon it.
bar([value],[min],[max]). The draws as a horizontal 'progress bar', using $Color and $Color2. The 'progress' block is drawn in $Color2.
vbar([value],[min],[max]). The draws as a vertical 'progress bar', using $Color and $Color2. The 'progress' block is drawn in $Color2.
In both cases the parameters work the same way:
* value. If used alone it is a percentage, otherwise it is a value between min and max. Thus <code>vbar(25)</code> is the same as <code>vbar(25,0,100)</code>.
* min & max. Numerical minimum and maximum values for computing the degree of 'progress' represented in $Color2 by value.
The arguments in the brackets may be numbers or expressions that can be evaluated as numbers. If a note's width is 3.0, then <code>bar(15*$Width)</code> is the same as writing <code>bar(45)</code>.
If the pattern is written without parameters or brackets, it evaluates as if at 50%, e.g. <code>vbar()</code> and <code>vbar</code> are the same as <code>vbar(50)</code>.
There are 2 further patterns, only used for Map view container plots: bargraph() & plot(). The patterns use the same parameters/syntax as bar()/vbar() above. The container then draws a plot over the top of its viewport area showing the value of the stated attribute (or expression) for each immediate child. The bargraph() gives a bar graph, and plot() a sparkline type plot. Containers only have one $Pattern value so can show a pattern either in the main icon or a container plot, but not both.

---
%%PlotBackgroundColor
Colour used for the plot background when a map container plot is configured (plot/bargraph/xyplot).
Before the graph is drawn, the space behind the plot is filled with the colour $PlotBackgroundColor with opacity of $PlotBackgroundOpacity. Previously the background was that of the child map.

---
%%PlotBackgroundOpacity
Opacity of background colour to the plot when a map container plot is configured (plot/bargraph/xyplot).
Before the graph is drawn, the space behind the plot is filled with the colour $PlotBackgroundColor with opacity of $PlotBackgroundOpacity. Previously the background was that of the child map.

---
%%PlotColor
Colour used to draw plots in containers.
---
%%Private
Controls whether a prototype appears in the Map view prototype tab menu or the Outline view pop-up list.
The note will continue to appear in the popup menus of the Create/Rename dialogs. This lets TBX document authors reserve some prototypes for special or internal use.
Other uses of "private" may be added in the future.
---
%%Prototype
The name of the current note's prototype note (if there is one).
The value may be the name of another prototype.
---
%%PrototypeBequeathsChildren
Controls whether a prototype's children are inherited by notes using that prototype.
Thus this attribute only has meaning for notes for which $IsPrototype is also set to <code>true</code>.
Children created by this method are not removed from inheriting notes if they subsequently cease to use the prototype.
By default (<code>true</code> ) all new prototypes will bequeath children and all descendants. Prior to v5.8.0, this was only direct children but not descendants. This negates the the previous need to use additional prototypes to give children to a prototype's children.
For prototypes that don't/won't have children this attribute has no effect on general function.
---
%%PublicationCity
Used for Bookends reference import.
---
%%PublicationYear
Used for Bookends reference import.
---
%%Publisher
Used for Bookends reference import.
---
%%RawData
An experimental attribute. It should be treated as an internal field for Tinderbox's private use.
It is listed here simply to discourage inquisitive tinkering. As an experimental attribute it may disappear, be renamed or take on a new purpose in later versions.
Purpose is experimental in support of RSS/AutoFetch to hold the raw data should the planned fetch fail. 
---
%%ReadCount
Tracks the number of times that a note is opened (read-only).
The count is cumulative from the creation of the note.
---
%%ReadOnly
Controls the whether the user can edit the text content ($Text) of a note.
$ReadOnly does not affect other note attributes. By default new notes are editable. Besides various read-only system attributes, this attribute is normally used for notes that fetch their content from the web: you don't really want to modify their content or indeed, cannot.
When set to true, to select text in the note you must use Cmd+drag-select instead of the normal drag select.
---
%%ReferenceRIS
Used for Bookends reference import.
---
%%ReferenceTitle
Used for Bookends reference import.
In v5.11.0 this was briefly named $Title, but this was renamed due to posible confusion with use of $Name.
---
%%ReferenceURL
Used for Bookends reference import.
---
%%RefFormat
Used for Bookends reference import.
---
%%RefKeywords
Used for Bookends reference import.
---
%%RefType
Used for Bookends reference import.
---
%%RightMargin
$RightMargin and $LeftMargin, allow the user to set margins for individual notes.
Note that the margins are set in multiples of 9 pixels; a left margin of 4 is equivalent to 36 pixels (0.5" or about 12.5mm). The default is set in the Text pane of the Preferences.
When copying and pasting note text between TBX files with different margin settings, the pasted text takes the receiving note's margin settings but the note window must be closed and re-opened for this fact to be correctly displayed on screen. See also Pasting and Text Margins.
---
%%RSSChannelTemplate
Specifies the name of the template used for RSS channels when importing ('AutoFetching') as RSS feed.
The default template is stored in the Tinderbox application package (though not in its templates folder) and is:
<pre><code>    ^^title^^
    ^^link^^
    ^^subtitle^^
    ^^description^^</code></pre>

---
%%RSSItemLimit
Restrict the size of any feed being read into Tinderbox.
Some news feeds syndicated a large number of items, and your design might have space for only a few. 
The default value, zero, imposes no limit on the number of items imported.
---
%%RSSItemTemplate
Specifies the template used for RSS items with importing ('AutoFetching') an RSS feed.
The default template is stored in the Tinderbox application package (though not in its templates folder) and is:
<pre><code>    ^^title^^
    ^^link^^
    ^^description^^</code></pre>
---
%%Rule
The rule code that the note executes. 
The string must be valid action syntax.
---
%%RuleDisabled
Allows the $Rule for a specific note to be disabled. It is intrinsic and thus not inherited.
Atypically for inheritance in Tinderbox, it is not inherited from a note's prototype (unlike most other attributes) - partly because a primary use is suppressing code running in prototypes.
$RuleDisabled is convenient when a rule may make significant changes to the note (or other parts of the document). Setting such a rule via a prototype can be problematic as the intent is only to rule to rule in notes inheriting the rule. Thus it can be useful to suppress $Rule activation in prototypes. Previously, this meant placing the Rule in an 'if($Prototype)' test which was cumbersome and meant every inheriting note had to run the addition if test adding load to the action code cycle. That workaround can be discarded and the attribute set to false in the Prototype. Because, atypically, this attribute isn't inherited from a prototype, the prototype's setting doesn't affect the Display Expression in notes using the prototype.
A similar control is supplied for display expressions: $DisplayExpressionDisabled.
---
%%ScrivenerID
Used for Scrivener Import.
---
%%ScrivenerKeywords
Used for Scrivener Import.
---
%%ScrivenerLabel
Used for Scrivener Import.
---
%%ScrivenerLabelID
Used for Scrivener Import.
---
%%ScrivenerNote
Used for Scrivener Import.
---
%%ScrivenerStatus
Used for Scrivener Import.
---
%%ScrivenerStatusID
Used for Scrivener Import.
---
%%ScrivenerType
Used for Scrivener Import.

---
%%Searchable
This allows fine-tuning of searches.
The default value is <code>true</code>; for adornments is it always <code>false</code>. The atribute is intrinsic.
New to v5.11.0.
---
%%SelectionCount
Tracks the number of times that a note is selected in a view window (read-only).
The count is cumulative from the creation of the note.
---
%%Separator
Controls whether a note or agent is rendered as a separator in Outline view.
If notes are given no name - i.e. show just as a line - a duplicate name warning is not issued even if reporting of such is turned on as a Warning Preference. The text of the separator is centred if it is smaller than the width of the separator label box.
---
%%Shadow
Controls whether an object uses drop shadows when rendered in maps.
When Shadow is <code>false</code>, the following attributes are ignored: $ShadowBlur, $ShadowColor, $ShadowDistance.
---
%%ShadowBlur
Blurriness of the object's map icon shadow as a numeric value.
The allowed range is 0-100.
This attribute is ignored if $Shadow is <code>false</code>.
---
%%ShadowColor
Hue of the shadow drawn for the objects map icon.
This attribute is ignored if $Shadow is false.
---
%%ShadowDistance
The numerical offset of the map icons drop-shadow (in pixels?).
The allowed range of values is 0-100.
This attribute is ignored if $Shadow is <code>false</code>.
---
%%Shape
Stores the shape used to draw the note's icon in Map view.
The value is normally set via the Shape sub-menu of the Note menu though it can always be set directly via the attribute. Allowed values are:
* rectangle
* oval
* lozenge
* diamond
* left tag
* right tag
* bubble
* cloud
The attribute default of [no value] equates to 'rectangle' in terms of the shape displayed in Map view.
$Shape name values are case-sensitive.
---
%%ShowTitle
Specifies whether the $DisplayName of the note is displayed at the top of note text windows.
The Preference Show Title on the Title pane of the preferences has the effect if globally setting this attribute for all notes.
The attribute default is not set but it inherits <code>false</code> from the Preferences Title pane.
---
%%SiblingOrder
Sequential sibling order number (read-only, 1-based).
The $SiblingOrder of the first child in a container is '1'. The $SiblingOrder of the next child is '2', and so on. 
The sibling order is effectively the the $OutlineOrder but only (numbered) for the current container.
The lowest number is drawn at the front in a map. If notes with sibling orders #1 and #5 overlap, part of #5 will be behind the icon for #1.
The note menu command to move a note forward/backward or all the way to the back/front will alter both $OutlineOrder and $SiblingOrder for the affected note(s).
Separators and adornments are included in sibling order. Note that some early versions of tinderbox, adornments used not to be included in sibling order. 
Regardless of $SiblingOrder values, in map view all adornments are drawn behind all notes/container/agents. It may be easier to think of the two sets of data as if being drawn on separate map overlays 
Aliases do not inherit this property from their original but have their own value (from v5.6.0).
---
%%SimplenoteKey
Used to support for Simplenote synchronisation.
For synched notes this attribute holds the Simplenote UID for the note.

---
%%SimplenoteModified
Used to support Simplenote synchronisation.
The attribute keeps track of the effective modification date according to the Simplenote server.
---
%%SimplenoteSync
Used internally by Tinderbox and should not be altered by users.
Further discussion of Simplenote sync support.
---
%%SimplenoteTags
Holds the simplenote [sic] tags associated with a simplenote-synced note (i.e. one in the /Simplenote container).
Further discussion of Simplenote sync support.
---
%%SimplenoteVersion
Used internally by Tinderbox and should not be altered by users.
Further discussion of Simplenote sync support.
---
%%Sort
Specifies the primary sorting order for notes within containers, agents and smart adornments.
The order is based on the name of an existing system or user attribute. The name is cited without a $-prefix as this attribute stores the traget attributes name, not it's value:
	CORRECT: <code>$Sort = "SomeAttribute"</code> (case-sensitive)
	FAIL: <code>$Sort = $SomeAttribute</code>
In default sorting A-Z precedes a-z, thus the sort order Aardvark, Boy, aardvark [sic], though this can be altered by $SortAlso which offers three choices of sort logic.
A secondary sort is also allowed, such as where two notes have equal values under the main sort criterion. The secondary sort is set via $SortAlso.
On Create/Rename dialogs, the list of available choices is shown in a $Sort pop-up menu.
If unsure of allowed target attribute on which to sort, the best place to set a sort is via the note's naming panel (Enter key). If exposed via $KeyAttributes, the value pop-up will only show values already sorted on within the document.
To reverse the sort order based on the given attribute, use $SortBackward.
---
%%SortAlso
Specifies the secondary sorting order for notes within containers, agents and smart adornments.
The order is based on the name of an existing system or user attribute. A string attribute. The name is cited without a $-prefix as this attribute stores the traget attributes name, not it's value:
	CORRECT: <code>$SortAlso = "SomeAttribute"</code> (case-sensitive)
	FAIL: <code>$SortAlso = $SomeAttribute</code>
In fact, the latter will work if the value $ SomeAttribute(this) is a valid attribute name.
In default sorting A-Z precedes a-z, thus the sort order Aardvark, Boy, aardvark [sic], though this can be altered by $SortAlsoTransform which offers three choices of sort logic.
A secondary sort is useful where two notes have equal values under the main sort criterion. The primary sort is set via $Sort.
On Create/Rename dialogs, the list of available choices is shown in a $Sort pop-up menu.
If unsure of allowed target attribute on which to sort, the best place to set a sort is via the note's naming panel (Enter key). If exposed via $KeyAttributes, the value pop-up will only show values already sorted on within the document.
To reverse the sort order based on the given attribute, use $SortBackwardAlso.
---
%%SortAlsoTransform
Holds the sort transform value for secondary sorts of containers and agents.
The primary sort transform is stored in $SortTransform.
On Create/Rename dialogs, the list of available choices is shown in a Sort Transform pop-up menu.
---
%%SortBackward
Specifies whether the sorting order for $Sort is backwards.
For example, Z -> A instead of A -> Z, etc.; thus the sort order aardvark, Boy, Aardvark [sic].
---
%%SortBackwardAlso
Specifies whether the sorting order for $SortAlso is backwards.
For example, Z -> A instead of A -> Z, etc.; thus the sort order aardvark, Boy, Aardvark [sic].
---
%%SortTransform
Holds the sort transform value for sorts of containers and agents.
The secondary sort transform is stored in $SortAlsoTransform.
On Create/Rename dialogs, the list of available choices is shown in a Sort Transform pop-up menu.
---
%%StartDate
A date attribute provided to facilitate organisation of tasks.
See also $DueDate and $EndDate.
For Timeline views, events with only $EndDate or an $EndDate before $StartDate will not plot correctly. If using an $EndDate, a $sSartDate must be supplied.
---
%%Sticky
Controls whether an adornment, when moved, also drags any notes on top of it.
This attribute may also set by ticking a new box in the adornment dialog.
If an adornment is sticky, objects (including other adornments, notes, agents, and containers) that overlap the adornment will move when the adornment is repositioned. This makes it much easier to work with very large, complex maps.
Note that, while moving a sticky adornment moves notes on top of it, you can still move those notes without affecting the sticky adornment.
A check-box 'Sticky' appears in the adornment's dialog window.
---
%%Subtitle
Holds the optional subtitle text that is displayed beneath the note title in map view.
This subtitle, typically drawn in smaller type, provides means to give additional information about the note. The subtitle can be set or changed through the $Subtitle attribute.
The subtitle may most easily be set in the Inspector’s name pane or directly into the attribute via code or Info view. Subtitles may also be set or edited by clicking and holding an existing subtitle, or by clicking and holding beneath the note's name even if there is no current subtitle. The mechanism is the same as Edit-in-Place.
Subtitles only appear in maps, and appear only if the note affords sufficient space. However, the subtitle is displayed on hover in outlines if the note has no Hover Expression. In a map both $Subtitle and $HoverExpression can be displayed (assuming they both have a value).
Other attributes allow fine tuning of the look of subtitles:
• $SubtitleOpacity (a percentage, defaults to 75).
• $SubtitleSize (a percentage of the main title size, defaults to 80).
• $SubtitleColor (defaults to automatic, in which case $NameColor is used).

---
%%SubtitleColor
Sets the colour of $Subtitle text.
The default setting is automatic which is the same as the $NameColor default.
---
%%SubtitleOpacity
Controls the opacity with which the text of $Subtitle is drawn.
From v5.10.2, both $TitleOpacity and $SubtitleOpacity are independent of $Opacity. However, the if higher than the value of $Opacity, the latter value is used when drawing the note.
---
%%SubtitleSize
The size of $Subtitle text in Map view.
The number is a percentage of the text size of the $Name label.
---
%%TableExpression
This holds an expression for display af tabular information about a container's child notes in map icons
For example, if $TableExpression is
	 <code>$Name+"|"+$WordCount</code>
Tinderbox will draw a two-column table containing the $Name and $WordCount of the first few children of the container. The "|" character (often called a vertical bar or pipe) separates the columns of the table.
Optional column headings can be specified via $TableHeading.
The expression code may be conditional. This lists all children with $Name and $Sibling order data displayed:
	<code>if($Prototype != "Attributes"){$Name+"|"+$SiblingOrder}</code> 
This conditional version ignores any children that are agents:
	<code>if(!$AgentQuery){$Name+"|"+$SiblingOrder}</code> 
This version only lists items of prototype type "Event":
	<code>if($Prototype += "Event"){$Name+"|"+$SiblingOrder}</code> 

---
%%TableHeading
Optional column headings for display of tabular information about a container's child notes in map icons.
Columns should be separated by a "|". Thus:
	 <code>$TableHeading="Word Count|Value"</code>
would be used as heading for a list of $WordCount values. 
Tinderbox uses the pipe (|) character to parse out the individual column titles from the overall string. Remember that if using attribute names as column titles, you want to refer to the actual name and not a reference to it, so don't use a $-prefix.
The data for such tables is specified via TableExpression.
N.B. when entering such a value via Info view, do not include the enclosing quotes. 
---
%%Tabs
A semi-colon delimited list of intervals between tab stops, measured in inches. 
Tab stops are thus adjustable. For example, if $Tabs is 
	<code>1;3;0.5</code> 
…the first tab stop will be one inch from the left edge. The second tab stop will be three inches to the right of the first — four inches from the edge. The third (and subsequent) tab stops will be placed at intervals of 0.5".
Tab stops are measured from the left margin of the text.
---
%%Telephone
Intended for storing a person's phone number.
---
%%Text
The text, i.e. body copy, of any note or other object.
The word count of $Text is given by $WordCount and the character count of $Text is given by $TextLength.
The contents of $Text can be altered both by typing into the text pane of a note text window or via action code methods. If using the latter method, novice users should be very careful about appending to $Text as repeating actions can unintentionally rapidly lead to very large amounts of data. Setting $Text via a action code results in new text using the $TextFont font.
If a note is set to use $AutoFetch its $ReadOnly attribute is set to true, rendering the text un-editable (either turn off auto-fetch or alter $ReadOnly's value to edit $Text again).


---
%%TextAlign
The text justification style used for $Text in text windows and text display on map icons.
The underlying default value is an empty string. The Text Preferences default is left and thus the inherited default. Values allowed: "left", "center", "right".
This alignment is also reflected in note text displayed in map note icons.
---
%%TextBackgroundColor
Specifies the background colour to be used for the area where $Text is displayed.
The attribute default is not set but inherits <code>#ffffff</code> (white) from the Preferences Text pane's Background colour option.
---
%%TextColor
Specifies the default (starting) display colour of $Text in text windows, before any further editing.
This colour may be modified by further text editing — it is the 'default' colour for new text in that note.
IMPORTANT: Changes to this attribute affect only those notes with no current $Text. Once anything has been added to $Text, inheritance is broken. Thereafter $Text uses the relevant attribute settings as at the time the text was added; they are effectively 'baked' into the $Text. The only way to 'reset' text with the wrong $TextColor value is to select the text and apply plain text formatting (Style menu). WARNING: setting plain text resets all $Text styling attributes. Is is not possible to 'reset' only font but not colour, text size, bolding, etc., as might be otherwise intuited.
A color attribute. The attribute default is not set but inherits <code>#000000</code> (black) from the Preferences Text pane's Text color option.
---
%%TextExportTemplate
Specifies the name of the template to be used for text export (as opposed to HTML export).
Inherits the default set (if set) via the Preferences Text Export pane's Export template option- the app default being the built-in 'outline' Text export template.
---
%%TextFont
Sets the default or "normal" font for each note; it is used only when applying Plain text style, or in newly-created notes.
The default value is inherited from Preferences, Text, Font. A string attribute. The default is Hoefler Text.
This attribute allows a class of notes (e.g. via a prototype) to inherit a specific body text font via a prototype.
$TextFont is easily overridden simply by selecting a font from the Font palette.
IMPORTANT: Changes to this attribute affect only those notes with no current $Text. Once anything has been added to $Text, inheritance is broken. Thereafter $Text uses the relevant attribute settings as at the time the text was added; they are effectively 'baked' into the $Text. The only way to 'reset' text with the wrong $TextFont value is to select the text and apply plain text formatting (Style menu). WARNING: setting plain text resets all $Text styling attributes. Is is not possible to 'reset' only font but not colour, text size, bolding, etc., as might be otherwise intuited.
$TextFont is used for any Text set via an action or rule.
---
%%TextFontSize
Sets the default or "normal" font size for each note.
The value is inherited from Preferences, Text, Size.
This attribute allows a set of notes (e.g. Code Examples or Shopping List) to inherit a specific body text font size via a prototype.
$TextFontSize is easily overridden simply by selecting a font size from the Font palette.
IMPORTANT: Changes to this attribute affect only those notes with no current $Text. Once anything has been added to $Text, inheritance is broken. Thereafter $Text uses the relevant attribute settings as at the time the text was added; they are effectively 'baked' into the $Text. The only way to 'reset' text with the wrong $TextFontSize value is to select the text and apply plain text formatting (Style menu). WARNING: setting plain text resets all $Text styling attributes. Is is not possible to 'reset' only font but not colour, text size, bolding, etc., as might be otherwise intuited.
---
%%TextLength
The number of characters (character count) of the current note (read-only).
See also $WordCount for a count of discrete words in the note's text.
---
%%TextSidebar
Stores the display state (shown/hidden) of a note's text window sidebar.
The attribute value is inherited from the Preferences Text pane.
---
%%TimelineBand
Assigns an event to a specific vertical band in Timeline view.
By default all events are in band 0, but can be set to another band by drag-drop or via action code.
Although the attribute accepts any number, the valid range is whole numbers 0-1300. 1300 is not a hard limit - and that many bands shouldn't be needed - but above that number timeline band labels are clipped or not drawn at all.
From v5.10.2, this attribute is intrinsic for aliases, allowing aliases to be paced in a different timeline band to their original.
---
%%TimelineBandLabelColor
Holds the colour used to draw band labels in a timeline.
When set locally it applies to the current container's Timeline view.

---
%%TimelineBandLabelOpacity
Stores an opacity value for drawing band labels in the current container's Timeline view.
---
%%TimelineBandLabels
Holds the assigned labels for different Timeline view bands and is a semicolon-delimited string. 
For example, the string "Paris;London;Madrid" would label three bands, “Paris”, “London”, and “Madrid”. Labels are drawn onto the timeline in the order stored; in the example band number 0 will be labelled "Paris".
---
%%TimelineColor
Used to colour every other (even-numbered) timeline band within a Timeline view.
A desaturated tint of the colour - rather than the exact colour name/value specified - is used to avoid undue contrast.
---
%%TimelineEnd
Sets an optional end date for a Timeline View of that container.
Notes with a $StartDate later than this are listed in the "out of Range" section of the view. By default, this attribute is not set.
---
%%TimelineGridColor
Sets the colour of timeline guidelines for that note's Timeline view.
---
%%TimelineMarker
Controls whether marker lines drawn from events to the Timeline view's scale persist when a note is not currently selected.
The marker lines are drawn from the left edge of events. The default is <code>false</code>, with lines only shown for selected items.
---
%%TimelineScaleColor
Sets the primary colour used in the gradient in the time scale at the bottom of the Timeline view.
The default is 'cool gray'. The scale uses a gradient to fade to $TimelineScaleColor2.
---
%%TimelineScaleColor2
Sets the secondary colour used in the gradient in the time scale at the bottom of the Timeline view.
The default is inherited from the note's $MapBackgroundColor (which is in turn inherited from the Map Preference for background colour) which results in '#f2f2e6'. The scale uses a gradient to fade from $TimelineScaleColor. The default means the top edge of the scale bar is the same as the background of the main content portion of the map.
---
%%TimelineStart
Sets a start date for a Timeline View of that container; notes with a $StartDate earlier than this are listed in the "out of Range" section of the view.
By default, this attribute is not set.
---
%%TitleBackgroundColor
Specifies the background colour for the title pane in text windows.
It defaults to the settings in the app/document preferences (Title pane, 'Background Color').
The attribute default is not set but inherits <code>#000000</code> (black) from the Preferences Title pane.
---
%%TitleFont
Specifies the name of the font used for displaying the current note's title in the title pane of the note's text window.
The attribute's default is not set but is inherited as Lucida Grande (it was Geneva pre-v2.3.0) from the Preferences Title pane's Font option.
---
%%TitleForegroundColor
Specifies the foreground colour for the title pane in text windows — i.e. the colour of the text. To set this colour in the Map view, use$NameColor.
The attribute default is not set but inherits <code>#ffffff</code> (white) from the Preferences Title pane's Text color option.
---
%%TitleHeight
Sets height of the title bar in a map container/agent map icon, in map units.
$TitleHeight is only used by agents and container notes and ignored by other objects. It is expressed in relative map units, as for Height and Width.
For a (selected) container - a note or agent - a splitter resize mouse icon is shown when the mouse is over the boundary of the title area and the map viewport; click and drag (hand icon) the mouse up or down to alter the height of the title area.
The default value of 0 (or a set value of 0) allows the icon to use Tinderbox's normal auto-resizing where the title area grows as the overall icon area does.
If $TitleHeight is set to other than zero, then resizing the overall size of the container has no effect on the height of the title area.
To 'hide' the viewport area of a container, set the $TitleHeight to equal $Height. This makes the map icon look like a normal note except the two bottom corners (note) or top corners (agent) are rounded. While the viewport is hidden, it is not possible to double-click drill down but its shortcut (Cmd+Opt+Return) will work.
---
%%TitleOpacity
Controls the opacity used when drawing the $Name onto a map icon.
The default is 100 - totally opaque.
From v5.10.2, both $TitleOpacity and $SubtitleOpacity are independent of $Opacity. However, the if higher than the value of $Opacity, the latter value is used when drawing the note.
---
%%Twitter
This string attribute holds a person's Twitter account name.
---
%%URL
Specifies the URL to be used if the current notes fetches its text content from the web.
As well as 'http' URLs, 'mailto' addresses and other such protocols can be used, including pseudo protocols used by some desktop app. The ViewInBrowser attribute controls whether the fetched content is shown in the note or in a web browser window. 
Prior to v5 this was a a string data type attribute.
---
%%ViewInBrowser
Controls whether opening the note's text window also causes the not'e $URL to be opened in a web browser.
---
%%Volume
Used for Bookends reference import.
---
%%WebLinkCount
Holds the number of outbound links originating from the current note (read-only).
Formerly, these were lumped into $OutboundLinkCount.
---
%%WeblogPostID
Specifies the ID for weblog APIs such as MovableType, Blogger and Radio Userland.
---
%%Width
The width of a note icon in the Map view, in map units.
See also $Height.
Aliases do not inherit this property from their original but have their own value.
---
%%WordCount
The number of discrete words in the current note's $Text (read-only).
See $TextLength for the total character count).
In very early versions the attribute name was Wordcount and the program allows either spelling. However, the old version is now deprecated.
---
%%Xpos
$Xpos with $Ypos, give co-ordinates of the note relative to the centre of the Map view (in map units).
$Xpos = 0 is the middle of the X-axis of the map, with negative values moving left, positive values moving right. See Map Co-ordinates.
Aliases do not inherit this property from their original but have their own value.
---
%%Ypos
$Ypos with $Xpos, give co-ordinates of the note relative to the centre of the Map view (in map units).
$Ypos = 0 is the middle of the Y-axis of the map, with negative values moving up [sic], positive values moving down. Note the Y-axis value orientation is the reverse of normal Cartesian Y co-ordinates, but does makes sense in the context of a visual top-left-to-bottom-right visual layout. See Map Co-ordinates.
Aliases do not inherit this property from their original but have their own value.
---

%%AccessDate
Used for Bookends reference import.
---
%%Address
Intended for storing a person's address.
From v5.9.0, if populated, Tinderbox will attempt automatic geolocation and to populate $Latitude and $Longitude
---
%%AgentAction
Action code expression that an agent applies to each of its matching aliased notes, i.e. its children.
The agent's actions are applied to aliases though the target can by modified by use of the 'original' (especially for intrinsic attributes) or 'agent' designators.
The contents of $AgentAction are shown in the agent's Create/Rename dialog, allowing review and manual editing of its value. This attribute is the equivalent of $OnAdd for a normal container note. The agent's actual $OnAdd attribute is ignored for action purposes.

---
%%AgentCaseSensitive
Control case-sensitivity of the agent query.
Used for agents and (smart) adornments only. Can be set manually via the agent's Create or Rename dialog's 'Case sensitive' tick box. It can only modify the String.contains() operator (and older deprecated precursors) and not List/Set.contains().
Note that when <code>true</code>, the Create/Rename dialog is not ticked. This is the reverse of the normal UI tick-box/Boolean mapping and was necessary to reflect replacement of the default query language with the .contains() operator, as the latter is case-sensitive by default. Basically, in UI terms all works as expected, it's only if manipulating this via action code that is it necessary to be aware of the reversal.
---
%%AgentPriority
Allows agent to run less frequently than normal, or be turned off.
A new pop-up menu in the Create/Rename Agent dialog allows manual change of agent priority. Regardless of the setting, every agent is always updated before export and when updating manually, except for agents that have been turned off.
The mapping of number values to the text names used in the Priority pop-up menu on the Create Agent and Rename Agent dialogs is as follows:
* Highest = 0
* Normal = 1 (default)
* Lower = 4
* Low = 10
* Off = -1
The $AgentPriority can only be set as a number - don't use text values or you get an error. Any other number value than those listed above causes the dialog pop-up to show 'highest'. Whether this is the true result, i.e. that setting '9' results in the same as setting '0' is not clear.
The default value of $AgentPriority is 1, which will cause the agent to be checked at roughly ten second intervals. Higher values of $AgentPriority cause the agent to be checked less frequently.
Setting $AgentPriority to 0 asks Tinderbox to check the agent as frequently as possible.
Setting $AgentPriority to -1 asks Tinderbox to retain existing matches but never update, effectively turning the agent off whilst retaining the last set of data and is excluded from Export and 'manual' update agent updates. Thus the current results can be 'frozen' and persist between sessions. However, if an agent is being turned off just to drop it out of regular cycles it will need to manually be set to a value or zero or greater before it can be used/updated - and manually reset to 'off' after use if it desired to 'freeze' it again.
Prior to v5.8.0, adornment's $AgentPriority defaulted to 0 (highest) instead of 1 (normal).
---
%%AgentQuery
Action code expression an agent will use to match and gather notes.
Shown as an input box in the Create and Rename dialogs of agents and smart adornments.
---
%%AIM
Intended for storing a person's Instant Messaging address.
---
%%ArticleTitle
Used for Bookends reference import.
---
%%Author2
Used for Bookends reference import.
---
%%Author3
Used for Bookends reference import.
---
%%Author4
Used for Bookends reference import.
---
%%Authors
Used for Bookends reference import.
---
%%AutoFetch
Should note content ($text) be fetched automatically from an online URI (as specified in $URL).
If true the content is automatically fetched when the note is opened.
Once $AutoFetch has run, the note containing the retrieved data has its $ReadOnly attribute automatically set to <code>true</code>.
See also, $AutoFetchCommand.
---
%%AutoFetchCommand
Action code expression used for post-import processing of $AutoFetch content.
If $AutoFetchCommand is empty (the default), $AutoFetch behaves as normal; the contents of the specified URL are stored in the note's text.
$AutoFetchCommand is an action, and thus uses the same syntax as agent actions and rules. It runs when the file is loaded, exported, and possibly during idle period s while the document is open. Typically, $AutoFetchCommand will invoke an outside program, perhaps fetching some information from the user's hard disk or network. For example:
	<code>$Text=`"ls ~/Documents";</code> 
	<code>$Text=runCommand("echo | ls ~"/Documents);</code> 
either of the above will replace the text of the note with a list of all the files currently in the user's Documents folder (the latter syntax is the recommended choice).
	<code>Delivered=`"myDatabaseQuery $TrackingID";</code> 
will run the shell script myDatabaseQuery in the user's OS home folder, passing it the value of the note's $TrackingID attribute as an argument.
---
%%AutomaticIndent
Controls automatic indentation of lists in text windows. 
It defaults to <code>true</code> as inherited from the Text preference "Auto-indent lists".
If a note’s $AutomaticIndent is <code>false</code> Tinderbox will not automatically indent paragraphs starting with *, •, and #. This effectively disables quick lists without needing to turn off all export formatting to do so. This is useful, for example, in notes that contain CSS stylesheets that can have lines starting with a # for ID style declarations. However, it does not affect list creation during HTML export (see $HTMLMarkupText).
NOTE: If $AutomaticIndent is turned off in a open note that contains lists in existing $Text, the lists will retain their former indentation. You can undo this by  left-indent them with the Shift Left command in the Style menu (cmd-shift=[ ). This is because the attribute tries to respect the user's intent and so doesn't remove existing indents - it merely prevents (or not) new ones being created automatically. If altering this attribute for an existing note, you should close the note text window before altering the value.
---
%%Badge
Name of the badge icon set for the note.
The names used in $Badge are case-sensitive.
The badge's name is listed alongside the icon in the Badges pop-up menu. Badges are optionally displayed in Map and Outline Views.
The list of default badge names is given on the Badges pop-up menu page.
---
%%BookTitle
Used for Bookends reference import.
---
%%Border
The size (width) of the border drawn around adornments, notes, agents and containers.
If $Border is 0 (zero), no border is drawn, regardless of the $BorderBevel type.
---
%%BorderBevel
Styles the corder around map icons.
For adornments and items (notes, agents, containers), if $Border is greater than zero, a border is drawn around the object in a style depending on this attribute's value.
In adornments, if $BorderBevel is raised, the border is bevelled. If automatic or plain the border is drawn as a simple outline. If $BorderBevel is none, the border is not drawn; note, though, that if $Border is greater than zero, space the width of $Border is left around the main part of the icon.
In notes, if $BorderBevel is raised or automatic the border is bevelled. If plain, its a simple outline. If $BorderBevel is none, the border is not drawn.
---
%%BorderColor
If $Border is greater than zero, a border is drawn around the adornment in this colour.
The special value, "automatic", draws an opaque border in the adornment's natural colour; adornments are otherwise translucent.
If $BorderColor is "automatic" and $BorderBevel is "plain", the colour is a mixture of the note's $Color and its $NameColor. In older versions, the border was drawn in the note’s $Color, and so was invisible. $NameColor was chosen because it typically contrasts with $Color, where $Color2, the accent colour, might be very close in value to $Color.
---
%%BorderDash
Display borders of map icons as a dashed line.
Only dawn if the $BorderBevel type is 'plain'. This attribute holds the length of the dash; the width of the dashed line is the $Border width.
---
%%CallNumber
Used for Bookends reference import.
---
%%Checked
Tick state of the optional Outline view checkbox.
Changing the attribute will add/remove a tick from the note's checkbox.
---
%%ChildCount
Number of children belonging to the current note (read-only).
This returns the count of direct children (i.e. one level down) and not all descendants. For a count (usually larger) of all notes below this see $DescendantCount.
Usually, rules and queries to test whether a note has children will test $ChildCount. But for export use if you want the expression to be <code>false</code> if the note has children but none of the children are exported, then using ^^if(^^childLinks^^)^^ …is better.
Note that the count includes adornments.
---
%%CleanupAction
Controls the way in which maps of agent containers are organised.
Values are case-sensitive. Accepted values are:
* grid (default)
* box (added v5.10.2)
* none
In the default mode, the agents contents will be organised in a grid, as was previously the case; the order of items in the grid being set, again as before, via the sort attributes for the agent container.
If the $CleanupAction value is set to "none" - or indeed any value other than "grid" including no value - the user is free to arrange the items within the agent containers as they would any other map. Whilst in this freeform mode the normal Map view Cleanup pop-up menu items may also be used.
In "none" mode Tinderbox adds new aliases to the agent map by the logic used for a normal map so it should avoid overlapping/hidden icons, etc.
Although smart adornments have agent-like queries they do not use $CleanupAction.
---
%%Color
Specifies the colour of a note in map view.
The same colour is used in the outline of note icons in Outline/Explorer views and element outlines in TreeMap/Chart views. 
The default is 'warm gray dark' but prior to v5.10.1 it was 'dark warm gray'. Note this is a different colour to the defined colour 'warm gray dark'! When describing a shade of a Tinderbox defined colour in action code, the modifier is placed first, thus 'dark warm gray', removing the possibility of ambiguity. In a number of UI dialogs with colour name/shade pop-ups the shade is normally listed after the named colour.
Adornments have a different default - 'blue'. Adornments also have the extra option of setting 'transparent' such that neither body or border colour are drawn.
There is no way to seed this value at app level, e.g. via user configuration files. Tinderbox saved colour schemes also don't save or set the $Color attribute.
Accent colour is provided by $Color2.
---
%%Color2
The note's accent colour.
It is used for the alternate colour of the $Pattern drawn on the (background) $Color of a note in a map view.
It is also used for the accent colour in bar() and vbar() map progress bar patterns, as well as container plots.
The default is 'dark warm gray dark' but prior to v5.10.1 it was 'light warm gray'
---
%%Container
Lets Tinderbox actions and rules change the parent of a note, moving it to a a new place within the document.
It is the parent's $Path plus a '/'. For any item, $Path is the equivalent of $Container + $Name.
The underlying default value of $Container an empty string, but this is never seen as at note creation Tinderbox always inserts the path to the note's parent, with ancestor note names delimited with a '/' (forward slash) and the $Container of any root-level note is "/".
Originally, a key use is to enable automatic onward routing of notes created via emails sent to Tinderbox (a feature currently suspended).
A more useful example would be for children of a document's 'Mail' note, used for collecting inbound email. Using monthly archives might result in a structure like '/Mail/Dec 07/', i.e. a note 'Dec 07' found inside the note 'Mail'. An action in Mail might be to set the added note's container to 'Dec 07'. Thus:
	<code>$Container="/Mail/Dec 07";</code> 
…will move the inbound email note from 'Mail' to 'Dec 07' inside 'Mail'. 
Note that the value passed in the action is a quoted string (now the recommended method for string literals).
An alternative to a quoted string is an attribute value:
	<code>$Container = $MyPathAttr</code> 
A neat feature of this process is that any notes/containers in the path that don't currently exist will be created. Note: the latter is a exception to the general rule that Tinderbox will not automatically create or delete notes. Thus for more advanced users, the 'Dec 07' note name could be a value computed from the current date allowing the document to add a new folder each month without the user having to bother with this task.
If the destination container has an $OnAdd action, that action is is performed immediately on the newly added note(s). Note that if the action tries to move a note into the container in which it currently resides the $OnAdd action is not run; this makes sense as such an action will have already been run when the note was first added.
If a note can't be moved, either because it is being moved inside its own descendant or because the destination is not a (valid) container (e.g. an adornment of some other special note type), no action occurs.
If using an agent to set a new container, it is important to consider whether the aim is to move the original of the note or merely the note's alias within the agent. Thus an $AgentAction like:
	<code>$Container(original)="Some Note"</code> 
…moves the original of the note matched by the agent to a new location. Conversely:
	<code>$Container="Some Note"</code> 
…moves the currently-processed agent alias. 
Important: moving the agent's alias will cause the agent's current cycle to cease, so ensure that the processed note no longer meets the agent query or only the first matched item will move its alias. Otherwise, the agent action will move one alias per cycle.
Although Tinderbox doesn't allow code-deletion notes, you might consider setting a 'Trash' note and using a $Container="/Trash"; action. The Trash container could then be reviewed for manual deletions - or retrieval of erroneously trashed notes.
One other important consideration when using $Container is inheritance and the effect of moving on existing inherited values. If using a lot of prototypes/inheritance it is certainly worth taking extra care with use of $Container.
Email to Tinderbox allows the same $Container-setting action to be specified within an email.

---
%%Created
The date a note was originally created (read-only).
If edited subsequently, the note's $Modified attribute will changed; at outset both are the same.
---
%%Creator
Creator of a note. The 'creator' name is taken from the User Name Preference (read-only).
If the latter preference is not personalised, the default value given to new notes is "system".
---
%%DescendantCount
Number of descendants of a note (read-only).
By comparison, $ChildCount will only show the number of direct child notes to the current notes (normally a smaller figure).
Note that the count includes adornments.
---
%%DisplayExpression
Action code expression to customise the way a note's name is displayed in Tinderbox views via $DisplayName.
$DisplayName holds the evaluated result of $DisplayExpression' code. If $DisplayName has a value if is used instead of $Name in many views within Tinderbox; $Name is unaffected.
Some users find it helpful to use actions and rules to append information to not names, e.g. a word count, number of children or the value of some attribute. However, this does change the actual name of the note and can cause problems with other actions which don't expect note names to change.
See a further description of display expressions.

---
%%DisplayExpressionDisabled
Allows the $DisplayExpression for a specific note to be disabled. It is intrinsic and thus not inherited.
A primary use is suppressing code from be run in prototypes.
$DisplayExpressionDisabled is convenient when a display expression is shared by all the children of a prototype, but it is not desirable that it be applied to the prototype itself. Thus it can be useful to suppress $DisplayExpression activation in prototypes. Previously, it was necessary include an 'if($Prototype)' test which was cumbersome and meant every inheriting note had to run the additional if test adding load to the action code cycle. That workaround can be discarded and the attribute set to false in the Prototype. Because, atypically, this attribute isn't inherited from a prototype, the prototype's setting doesn't affect the Display Expression in notes using the prototype.
For example, the intention may be for books to be displayed with their price:
	DisplayExpression: <code>$Name+" $"+$Price</code> 
but the prototype for books, "Book Prototype" could inhibit this $DisplayExpression to display its name without a meaningless price tag.
A similar control is supplied for rules: $RuleDisabled.
---
%%DisplayName
Evaluated result of $DisplayExpression, used inside Tinderbox views instead of $Name.
Being the result of $DisplayExpression, it is read-only.
Major views use $DisplayExpression in their window title.
---
%%DOI
Used for Bookends reference import.
---
%%DueDate
A date attribute provided to facilitate organisation of tasks.
See also $StartDate and $EndDate.
---
%%Edition
Used for Bookends reference import.
---
%%Email
Intended for storing the a person's email address.
---
%%EndDate
A date attribute provided to facilitate organisation of tasks.
See also $StartDate and $DueDate.
For Timeline views, events with only $EndDate or an $EndDate before $StartDate will not plot correctly. Thus if $EndDate is used, a $StartDate should be supplied.
---
%%File
Specifies the OS path to the object (in POSIX form).
The object can be either a file or a folder. Only one file may be attached per note; to attach several files drop a folder containing the desired files. This linked asset may also be an OS alias to a file or folder.
Adding a new note to $File replaces the existing reference. $File can also be set by dropping a file on the File button of a text window's sidebar.
When opened via the sidebar, $File's contents is passed to Finder which opens a finder window (for folders) or opens the file according to the files OS-associated application.
---
%%Fill
designates a source image for background textures for map notes and adornments. 
Built-in textures have the following name values:
* <code>linen</code> 
* <code>sandstone</code> 
* <code>steel</code> 
* <code>wood</code> 
* <code>water</code> 
The default value is an empty string - i.e. no fill texture.
The opacity of the fill texture can be controlled by the $FillOpacity attribute.
Additional images may be placed in <code>~/Library/Application Support/Tinderbox/fill</code>.
---
%%FillOpacity
Opacity of the map icon $Fill texture, or the icon's fill colours ($Color, $Color2) to be varied.
A value of 1 makes the fill opaque, while 0 makes the fill invisible. The default value is 0.75.
---
%%FullName
Intended for storing the name of a person.
---
%%Height
The height of a note icon in the Map view, in map units.
See also $Width.
Aliases do not inherit this property from their original but have their own value (i.e. it is an intrinsic attribute).
---
%%HoverExpression
Holds an expression forming the Hover Expression code for a note.
---
%%HTMLBoldEnd
Ending tag to use for closing bold passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The opening tag is set via $HTMLBoldStart.
---
%%HTMLBoldStart
Starting tag to use for opening bold passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLBoldEnd.
---
%%HTMLCloud1End
Ending mark-up used to set the font size on words exported via the ^^cloud, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud1Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud2End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud2Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud3End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud3Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud4End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud4Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud5End
Ending mark-up used to set the font size on words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLCloud5Start
Starting mark-up used to set the font size of words exported via the ^^cloud^^, ^^sectionCloud^^ and ^^documentCloud^^ codes.
There are five different ranges of words that can have sizes set; 1 = worst match and 5 = best match.
---
%%HTMLDontExport
Specifies whether the content of the note will export or not during export to HTML, either as a page or as an inclusion in a page. 
This attribute is the setting for the 'Export' tick-box in the HTML page view. The default for pages is to Export (ticked) so this attribute's default, in keeping with its titling is <code>false</code> — i.e. avoiding a double negative "don't $HTMLDontExport".
Tinderbox doesn't ignore paths that include containers that are not exported. For example
	<code>^^include(/documentation/details/note)^^</code> 
…previously would have included nothing if documentation or details were had HTMLDontExport set to true, even if note had $HTMLDontExport set to <code>false</code>. 
Tinderbox doesn't create links to notes whose $HTMLDontExport value is true. The same holds for links where any ancestor has $HTMLExportChildren set to <code>false</code>.

---
%%HTMLEntities
Indicates that characters like ampersands and accented characters are converted into HTML entities, i.e. <code>&</code> becomes <code>&amp;amp;</code>. 
Added the degree symbol to the characters turned into entities. Swiss, French and German quote styles are automatically detected and 'entified' without needing to resort to this setting.
Export markup elements, e.g ^^value()^^, check this attribute before encoding values.
English typographic quotation marks &#147; &#148; and &#145; &#146; are exported as HTML entities rather than straight quotes, e.g. <code> &amp;#147;</code> for &#147; left curly double quotes.
The symbol € is exported as <code>&amp;euro;</code>.
&Delta; is exported as <code>&amp;Delta;</code>, &delta; as <code>&amp;delta;</code>, &mu; as <code>&amp;mu;</code> and &sum; as <code>&amp;sum;</code>.
The move to UTF-8 encoded export since version 5 has lessened the need to this setting.
---
%%HTMLExportAfter
Ending tag immediately after the end of the current note's text and/or includes.
Effectively, this is the 'footer' for each exported note's HTML page; q.v. $HTMLExportBefore.
---
%%HTMLExportBefore
Starting tag immediately before the current note's text and/or includes.
Effectively, this is the 'header' for each exported note's HTML page; q.v. $HTMLExportAfter.
---
%%HTMLExportChildren
An attribute controlling export of the current note's children.
The interpretation of $HTMLDontExport and $HTMLExportChildren has been simplified. These attributes are most often controlled in the HTML View, through the check-box items Export and Export Children.
If Export As Page is checked, Tinderbox will create an HTML file for the note. If it is not checked, no file will be created. The note's contents might appear on another HTML page, of course, by being ^^include^^-d by name or as one of another node's ^^descendants^^.
If Export Children is checked, Tinderbox will attempt to export the node's children (if any). Each child, of course, may have an Export As Page attribute.
Both Export Children and Export as Page are consulted when exporting, and the two settings are completely independent. We can export a page but not its children; we can export the children but not export any HTML for a note, or we can create both an HTML page and a directory of child pages.
Remember that if this attribute is false, Tinderbox never even examines the child notes when exporting to HTML. So individual child notes may have $HTMLDontExport set either true or false, and will not be exported in either case. 
The easiest way to set this attribute is with the "Export children as pages" checkbox on the HTML view window for the note. 
Some existing Tinderbox documents might generate some extra files or directories, because these settings formerly interacted in a complex way. The new rules are much simpler to understand, and are much more consistent.
Tinderbox doesn't create links to notes where any ancestor has $HTMLExportChildren set to <code>false</code>. The same holds for creating links to notes whose $HTMLDontExport value is <code>false</code>.
---
%%HTMLExportCommand
Run a program or script on the contents of the exported HTML file.
If $HTMLExportCommand is empty, no special action is performed.
Otherwise, the exported file is piped to the standard input of the command line in $HTMLExportCommand, and the file is replaced by command line's standard output. In other words, any action carried out by the linked command is carried out on the exported page after the normal page export.
This attribute needs to be actual command line code - it can't use code stored in another note as runCommand() can.
---
%%HTMLExportExtension
File extension to use for exported HTML pages (includes preceding full stop).
The as-installed default is created in Tinderbox's Preferences, and may be changed at (local) document level via the Document Preferences — in both cases via the 'Export with extension' option. The Built-in preferences options for this attribute are:
* '.html'
* '.htm'
* 'none'
A new note inherits the preference setting but the value can be altered at note level by editing the note's Info window or via a stamp. This allows for other extensions, such as ASP/PHP/etc., to be specified.
The HTML window also allows the exported page's extension to be set. If the window's default is altered it stored back as the note's value for $HTMLExportExtension.
---
%%HTMLExportFileName
Specific filename to be used for the note's exported HTML page instead of default calculated name.
If left empty, Tinderbox automatically generates a filename based on the note's title.
Note that a string set for this attribute should be the desired filename without its extension — i.e. 'index' not index.html'.
Automatic filenames strip unsafe (see below) characters from the note title and truncate the resulting string to the number of characters set in $HTMLFileNameMaxLength (where the default is 24). The case of characters in the exported name will be as per the note title except if $HTMLFileNameLowerCase is 'true'.
Default: (not set - empty string)
To avoid filename naming collisions, Tinderbox has to check if the intended export name already exists in the currently exported-to folder. If a duplicate name might arise, a suffix will be added. Simplistically, if file "abc.html" is already being exported to the current folder, another note that would export with that name will be exported as "abc_1.html" (and -@, _3, etc.).
Because the filename might change on export, Tinderbox doesn't return a value for <code>eval($HTMLExportFileName)</code>; an exception is if this attribute already has an explicitly set value. The workaround is to use ^^file()^^ - noting that the latter returns both file name and extension rather than just the name portion.
As Windows-OS webservers support fewer characters in file paths/names that other OSs, the following characters are suppressed when generating filenames from $Name:
	<code>[space] / \ ? % * : | ' " < > . & ^ + ( ) !</code> 
From v5.8.1, the hash (#) character is also omitted from filenames.
From v5.9.0, further manipulation is available via $HTMLExportFileNameSpacer.
From v5.10.2, $HTMLExportPath evaluates the likely exported filename and path.
---
%%HTMLExportFileNameSpacer
Character used to replace any character normally suppressed on export. 
It allows more flexibility with the construction of filenames created via HTML Export.
Reflecting the fact that long-term Tinderbox-created websites might be affected, the default value is an empty string, thus maintaining the status quo.
If used, it is most likely needed for all exported pages and thus should be set by changing the attribute default (i.e. at document level) rather than by setting the attribute at note level.
---
%%HTMLExportPath
The calculated export folder/filename path for the note (read-only)
The folders and file from export root that would be created if the file were exported at that time. It thus show the names of the folders & file with any characters omitted or substituted as part of the export process.
This can be extremely useful in more complex export scenarios where there is a need to reference in code an exported note's OS filename or path without being forced to hard-set $HTMLExportFileName. If not set, the latter cannot be queried within Tinderbox.
To get just the exported filename from the path:
	<code>$MyString = $HTMLExportPath.split("/").at(-1)</code> 
For this note:
	$Path = "^value($Path)^"
	$HTMLExportPath = "^value($HTMLExportPath)^"
Note the spaces being lost in the latter. The export version will also show $HTMLExportFileNameSpacer changes, if the latter is set.
---
%%HTMLExportTemplate
Name of the external template file or internal template to be used in exporting this note to HTML.
If blank, the defaults set at preferences level are used. Using the Template pop-up menu on the note's HTML view will also set this attribute for the note. The latter view is the only location that can be used for setting templates which are internal (notes), other than by using action code.
For internal templates, the attribute value is the template note's $Path.
Value is inherited from preferences if set there.
The default is the built-in HTML template 'plain'.
---
%%HTMLFileNameLowerCase
Letter case used for the HTML export filename for the note.
If set to 'true', this forces the exported HTML filenames to be all lowercase — useful if exporting to a server whose OS is case sensitive.
The default is <code>false</code>.
---
%%HTMLFileNameMaxLength
Specifies the maximum number of characters allowed in exported filenames (default is 24).
Originally, in early versions the default was 8 and is not updated by opening the TBX in newer versions. For TBXs with the old default is can be useful to set a figure greater than 8 to decrease the chance of name clashes amidst exported files.
The maximum value supported is 31 [sic], where this is the total of HTMLFileNameMaxLength, the period and the length of $HTMLExportExtension; e.g "myname" + "." + "html". As the latter defaults to '.html' - 5 characters, the maximum possible length is 26 characters. Using a 4 character length extension like '.htm' will raise the effective limit to 27 characters.
It appears Tinderbox (as a v5.x) is still using old pre-OS 10 filename limits. This should allow 32 characters, but using 27+'.html' results in pages with a 'h#0' extension that are effectively unusable as web pages. Using 28 or greater results in no export at all.
The default value is 24. Note that the default for $HTMLFilenameLowerCase also changes to false. In older TBXs created with the original default value, if you try a ';' reset of the value, it sets the old default of 8.
From v5.9.2, the maximum supported length - including the extension - increased to 128 characters. Previously, setting the value to 28 or more results in a silent failure with no export occurring and no warning to the user. Given the later it is not clear whether the 'legacy' limit of 31 is deliberate or whether something else in the app's export system can't cope with long filenames.

---
%%HTMLFirstParagraphEnd
Ending tag for the current note's first paragraph (and only the first paragraph).
The opening value is set via $HTMLFirstParagraphStart.
Export mark-up for all paragraphs succeeding the first are controlled by $HTMLParagraphStart and $HTMLParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLFirstParagraphStart
Starting tag for the note's first paragraph (and only the first paragraph).
The closing value is set via $HTMLFirstParagraphEnd.
Values for all paragraphs succeeding the first are controlled by $HTMLParagraphStart and $HTMLParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLImageEnd
Ending tag for images embedded in notes. 
The default value is <code>></code> but for XHTML use alter the value to <code>/></code>. The paired attribute is $HTMLImageStart.
---
%%HTMLImageStart
Start tag for images embedded in notes.
The paired attribute is $HTMLImageEnd.
---
%%HTMLIndentedParagraphEnd
Ending tag for any paragraph that begins with a tab character, will use this attribute rather than $HTMLFirstParagraphEnd or $HTMLParagraphEnd.
The opening export mark-up for such paragraphs is supplied by $HTMLIndentedParagraphStart.
The default is <code></blockquote></code> though for files created pre-v5, the old default of <code></code> will be retained so as not to upset existing output.
This default may be changed, or overridden, to generate a different indentation, to change the margins, etc.
See also $HTMLParagraphEnd and $HTMLFirstParagraphEnd.
---
%%HTMLIndentedParagraphStart
Starting tag for any paragraph that begins with a tab character (used instead of $HTMLFirstParagraphStart or $HTMLParagraphStart).
The closing mark-up for such paragraphs is supplied by $HTMLIndentedParagraphEnd.
The default is <code><blockquote></code> though for files created pre-v5, the old default of <code><p style="text-indent: 3em;"></code> will be retained so as not to upset existing output.
This default may be changed, or overridden, to generate a different indentation, to change the margins, etc.
See also $HTMLParagraphStart and $HTMLFirstParagraphStart.
---
%%HTMLItalicEnd
Ending tag to use for closing italic passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The opening tag is set via $HTMLItalicStart.
---
%%HTMLItalicStart
Starting tag to use for opening italic passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLItalicEnd.
---
%%HTMLListEnd
Ending tag to use for closing bulleted (unordered) lists in the current note's text being exported to HTML.
The opening tag is set via $HTMLListStart.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLListItemEnd
Ending tag to use for closing list items in the current note's text being exported to HTML.
The opening tag is set via $HTMLListItemStart.
If $HTMLListItemStart and $HTMLListItemEnd are empty, quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLListItemStart
Starting tag to use for opening list items in the current note's text being exported to HTML.
The closing tag is set via $HTMLListItemEnd.
If $HTMLListItemStart and $HTMLListItemEnd are empty, quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLListStart
Starting tag to use for opening bulleted (unordered) lists in the current note's text being exported to HTML.
The closing tag is set via $HTMLListEnd. 
Changing this attribute's tag to <code><ul type="circle"></code> with allowable type values of <code>circle</code>, <code>square</code> or <code>disc</code> lets you alter the bullet type.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLMarkupText
Ensures any HTML code (e.g. code examples) within the note text export as HTML entities rather than literal HTML code.
Thus a <code>&gt;</code> character is exported as <code>&amp;gt;</code> so as to show as &gt; on screen and not be parsed as HTML code.
You would use a non-default value of <code>false</code> for any note where you've included HTML mark-up that has already been HTML 'entified' in the note text (and so a <code>&amp;gt;</code> character in text is exported unchanged as <code>&amp;gt;</code> thus rendering as source code, etc.).
Whereas HTMLQuoteHTML just looks at mark-up code such as HTML/XML/PHP/etc. in the note's source text, HTMLMarkupText considers other aspects of the note. For example, if you set HTMLMarkupText to <code>false</code> macros aren't expanded, styles are ignored, quick links aren't created and so forth. As the attribute title implies you've turned mark-up off and you're just passing out raw text into the HTML export template. Depending on the latter's mark-up you may or may not see un-marked-up text in your browser.
Thus the default setting of <code>true</code> is almost invariably the correct setting for this attribute.
The attribute also controls - or has a part in - several display-related export functions (quick lists, auto-headings, etc.). 
Note that $AutomaticIndent separately controls quick list layout within a note text window without affecting HTML export processing on quick list markers.
---
%%HTMLOrderedListEnd
Ending tag markup for ordered list generated by quick lists.
HTML ordered lists may be created by beginning new paragraphs with the '#' symbol. Ordered and regular (unordered) quick lists should not be mixed. A string attribute.
Default value is <code></ol></code>. The starting tag is set via $HTMLOrderedListStart.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLOrderedListStart
Opening tag markup for ordered list generated by quick lists.
HTML ordered lists may be created by beginning new paragraphs with the '#' symbol. Ordered and regular (unordered) quick lists should not be mixed. A string attribute.
Default value is <code><ol></code>. The closing tag is set via $HTMLOrderedListEnd. Changing this to the syntax <code><ol type="a"></code> lets you alter the list item's 'bullet' type. The allowed values of <code>type</code> are:
* <code>A</code> - capital letters: A, B, C, D, etc.
* <code>a</code> - lower case letters: a, b, c, d, etc.
* <code>I</code> - Capital Roman numerals: I, II, III, IV, etc.
* <code>i</code> - Lower case roman numerals: i, ii, iii, iv, etc.
* <code>1</code> - Arabic numerals: 1, 2, 3, 4, etc.
If the $HTMLListItemStart and $HTMLListItemEnd attributes are empty, all quick lists — as defined by lines starting with an * or a # — are disabled.
---
%%HTMLOverwriteImages
Instruct Tinderbox not to overwrite existing images when exporting.
In some circumstances, exporting the compressed image from Tinderbox might be undesirable - e.g. when a more detailed, uncompressed image is wanted in the actual export. By setting $HTMLOverwriteImages and placing the uncompressed image file in the export folder, Tinderbox will avoid replacing the uncompressed file.
---
%%HTMLParagraphEnd
Text and/or ending HTML mark-up to be included immediately after the end of all of the current note's paragraphs, except the first.
The opening value is set via $HTMLParagraphStart.
Export mark-up for all paragraphs succeeding the first are controlled by $HTMLFirstParagraphStart and $HTMLFirstParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLParagraphStart
Text and/or starting HTML mark-up to be included immediately before all of the current note's paragraphs, except the first.
The closing value is set via $HTMLParagraphEnd.
Export mark-up for all paragraphs succeeding the first are controlled by $HTMLFirstParagraphStart and $HTMLFirstParagraphEnd. Export mark-up for all paragraphs starting with a tab are controlled by $HTMLIndentedParagraphStart and $HTMLIndentedParagraphEnd.
---
%%HTMLQuoteHTML
Indicate that any valid HTML mark-up in the source text of the of the current note will be rendered as text (i.e. exported as entities) instead of as HTML code.
For 'HTML mark-up' you can read any code written within in <> angle brackets (XML, PHP, etc.). Thus, a <code>true</code> setting exports a '&lt;br&gt;' in the source text as '&amplt;br&ampgt;' that shows as screen text whereas a <code>false</code> setting exports it as '&lt;br&gt;', i.e. a HTML source code line break like you see here between the apostrophes.
Values exported via ^^value()^^ and such will be parsed for HTML entities in addition to note text.
When set to true, where sections of mark-up include line breaks in the Tinderbox note, it does not output the line returns after each line of code - i.e. they form continuous text in the HTML output - unless the there is at least one character at the beat the beginning or end of the line outside the code within &lt;&gt; characters. In addition, the normal space character (spacebar) and Tab characters do not count for this purpose. Thus text in the TBX source like:
	<code>&lt;key&gt;Value1&lt;/key&gt;
	&lt;key&gt;Value2&lt;/key&gt;</code> 
renders on one line in the output:
	<code>&lt;key&gt;Value1&lt;/key&gt;&lt;key&gt;Value2&lt;/key&gt;</code> 
So, how then to form a line break in the HTML output without adding visible unwanted text? If you add an Option+space character to the end of the first code line in the source text:
	<code>&lt;key&gt;Value1&lt;/key&gt;</code>[opt+space] 
	<code>&lt;key&gt;Value2&lt;/key&gt;</code> 
…the (visible) HTML output result is formatted on two lines with no extraneous tags:
	<code>&lt;key&gt;Value1&lt;/key&gt;</code> 
	<code>&lt;key&gt;Value2&lt;/key&gt;</code> 
You can put this special space entity at the beginning or end to trigger the lines to be output as paragraphs. If you want some lines of code indented, just use several &amp;nbsp; thus:
&amp;nbsp;&amp;nbsp;&amp;nbsp;&lt;key&gt;Value1&lt;/key&gt;
For control over whether any mark-up at all is applied to source text during HTML export, see the $HTMLMarkupText attribute. For quoting code, it can be more flexible to use build-in support for inline &lt;code&gt; and &lt;pre&gt; tags.
To assist with the export of code samples in notes, Tinderbox recognises the &lt;code&gt;&lt;/code&gt; tag pair and exports the tags and all code between them verbatim when HTMLQuoteTML is set to false; the app's expectation is the user will provide CSS styling of the &lt;code&gt; element. As the &lt;code&gt; element is omitted unchanged this should allow for styling variations by applying ID or class values. To preserve line returns in code samples include the CSS rule for &lt;code&gt; - "white-space: pre;". This both honours line ends and white space exactly.
The next 2 examples are both code snippets indented with 5 spaces in the note source text, first without &lt;code&gt;:
     $MyAttribute  =  "house"
     $MyNumber  =  1
…and here with &lt;code&gt; mark-up:
<code>     $MyAttribute  =  "house"
     $MyNumber  =  1</code>
The output is seen on the web page in monospace font, but all on one line. However, if you want the white space and line ends in the source to be respected use &lt;pre&gt; as well:
<pre><code>     $MyAttribute  =  "house"
     $MyNumber  =  1</code></pre>
Note however, that the same limitation as described above for note text lines beginning with &lt; and ending in &gt;  still applies to auto-handled &lt;code&gt;&lt;/code&gt; sections when on a single line. The cleanest method to resolve the conflicting output results for a single line sample is to end the line with an Opt+space character. That results in the line being wrapped in &lt;p&gt; tags. Even better, if you start the line with a Tab character, the output will use the HTML set in your HTML View paragraph preferences for indented paragraphs.
Also see the note on Exporting code samples.
---
%%HTMLStrikeEnd
Ending tag to use for opening strikethrough passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLStrikeStart.
---
%%HTMLStrikeStart
Starting tag to use for opening strikethrough passages of the current note's text being exported to HTML.
The code can also be set via the HTML views Style pane. The closing tag is set via $HTMLStrikeEnd.
---
%%HTMLUnderlineEnd
Ending tag for exported HTML mark-up for underlined text in notes.
The code can also be set via the HTML views Style pane. The paired attribute is $HTMLUnderlineStart.
---
%%HTMLUnderlineStart
Starting tag for exported HTML markup for underlined text in notes.
The code can also be set via the HTML views Style pane. The paired attribute is $HTMLUnderlineEnd.
---
%%ID
The internal unique ID of the item and is a large arbitrary whole number (read-only, not sequential numbers).
Although set to no value (0) by default it is immediately populated with the items UID. The $ID UID number is unique within a TBX.
$ID opens a number of possibilities for export, including making HTML anchors for linking to includes in exported pages.
Important, re aliases. IDs of aliases do not persist between sessions. In other words, if a note X has an $ID of "3219936174" today, it will have the same ID next week, but aliases of X might have different IDs. Aliases created by agents may change IDs at any time. However, aliases inside inactive agents do retain their ID value, unless/until the agent is re-activated.
An object dragged or copy/pasted to a different TB acquires a new $ID, as this ensures the UID is unique in the new location (i.e. it's existing source $ID might already be allocated in the receiving document).
---
%%ImageCount
The number of images embedded in the note’s text. (read-only)
---
%%InboundLinkCount
Number of inbound links terminating at the current note (read-only).
See also $OutboundLinkCount.
The link count excludes any links of type "Prototype" (not true prior to v5.8.0).
---
%%InteriorScale
Factor by which notes inside a container are smaller than notes elsewhere in a map.
The default value is 1.5, so if $InteriorScale is set to 2, then interior (child) notes are half their normal map size. $InteriorScale is inherited via a Map Preference - Map interior scale.
Larger magnifications (values) give somewhat more detail of interior notes, i.e. a greater number of lower level notes visible within the 'viewport' area of container notes in Map View. Thus, to increase the number of lower level note icons seen, for a given container viewport size, increase the value of $InteriorScale.
---
%%IrisAngle
Experimental attribute, not currently used.
Number type, default is zero.
---
%%IrisRadius
Experimental attribute, not currently used.
Number type, default is 1.
---
%%IsAdornment
Indicates that an object is an adornment.
---
%%IsAlias
Indicates that an item is an alias (read-only)
The attribute can help when trying to find originals as distinct from their aliases. It also helps when querying for aliases.
---
%%ISBN
Used for Bookends reference import.
---
%%IsPrototype
Indicates this note is a prototype and can be used as such for by other notes.
A <code>true</code> value implies the note is available as a prototype.
Prototype values are inherited when the prototype is applied — normally at note creation. Subsequent editing of a prototype is not reflected through to notes based on that prototype; other methods must be used to update existing notes based on older prototype values.
---
%%Issue
Used for Bookends reference import.
---
%%IsTemplate
Mark a note as available to use as a template.
The attribute may also be set via the tick-box on the Create Note dialog or via action/rule code.
---
%%Journal
Used for Bookends reference import.
---
%%KeyAttributeFont
Name of font used for drawing key attributes.
If not set, $NameFont is used as previously.
---
%%KeyAttributes
A Set of attribute names to be displayed at the top of the current note's text page (or text pane in Explorer view).
The exposed attributes can be edited in situ; at its right, each non read-only attribute shown has a small black disclosure triangle. Clicking the latter opens a pop-up menu listing all the currently used values for that attribute. You can either select one of these or add your own value (which is subsequently shown in the pop-up list).
NOTE: Displayed value boxes only support the MacRoman character set - Unicode data may not display properly although underlying Unicode data if not affect as long as the box is not edited.
The desired 'key' attributes are displayed in the current note's text window from top to bottom in the order listed in the KeyAttributes string. The string may be set via:
* Rule or action code, e.g. <code>$KeyAttributes="Width;Height;OnAdd"</code>
* Using the pop-up menu on the note Create/Rename dialogs
* Using the note text window's sidebar pop-up menu
* Using the Inspector Quickstamp pane
* Displaying $KeyAttributes as a key attributes and editing the on-screen string.
Note that in the case of action code (#1 above) the set string must be quoted and no $-prefixes are used with the attribute names.
Thus a set value like <code>Width;Height;OnAdd</code> would cause system attribute 'Width' to be listed first, then 'Height', etc. Note that if selected for display manually, a note's displayed attributes as listed in alphabetical order.
If you change the value list, of the order of items in the list, you will need to refresh the note window — most easily done by clicking another Tinderbox window and then clicking back on the note (there is no 'refresh view' menu option).
$KeyAttributes can also be added by dragging them from the User or System panes of the Attributes dialog onto a note's text window.
By default, $KeyAttributes are displayed in alphabetical order, but they can be set in a custom order using an custom semicolon delimited list for this attributes values; additions/deletions to such custom orders won't reset the list to alphabetical.
The names of key attributes in the text window are drawn in $NameFont (defaulting to Preferences:Maps:Note Label Font).
Up to 8191 characters are allowed for the set's value string(s), giving plenty of room for complex pattern matching strings.
Dragging an item out of the key attribute table in note Text windows, deletes that item from $KeyAttributes.
---
%%LastFetched
Date when the current note was last updated via auto-fetch from the web (read-only).
---
%%Latitude
This holds the latitude of the $Address sourced via Automatic Geocoding.
Also see $Longitude.
---
%%Base
One of several  attributes that let the user control the visual style of the 'leaf' and 'banner' shapes.
The valid range is 0-1.
See also $Bend, $Direction, $Tip.
---
%%Bend
One of several  attributes that let the user control the visual style of the 'leaf' and 'banner' shapes.
The valid range is -1 to 1.
See also $Base, $Direction, $Tip.
---
%%LeftMargin
$LeftMargin and $RightMargin, allow the user to set margins for individual notes.
Note that the margins are set in multiples of 9 pixels; a left margin of 4 is equivalent to 36 pixels (0.5" or about 12.5mm). The default is set in the Text pane of the Preferences.
When copying and pasting note text between TBX files with different margin settings, the pasted text takes the receiving note's margin settings but the note window must be closed and re-opened for this fact to be correctly displayed on screen. See also Pasting and Text Margins.
---
%%LineSpacing
Space between lines within a paragraph of a note.
To adjust the space between paragraphs, see $ParagraphSpacing).
$LineSpacing is expressed as a percentage of the line's nominal or recommended spacing. The default value of 100 gives "standard" line space, while a value of 200 results in "double spacing", i.e. "x2".
Dense text blocks may prove more readable with a $LineSpacing of 125 or 150 than with the familiar setting of 100.
---
%%Lock
Locks a note or (more usually) an adornment to the Map to avoid being moved inadvertently.
Primarily used in Map view (indeed, intended primarily for adornments), if $Lock is <code>true</code> the note can be selected but not repositioned - i.e. $Xpos and$Ypos are locked. The map icon may still be resized. A note with $Lock set cannot be repositioned in other views, thus it for instance can't be drag-repositioned in Outline or other views. However, reflecting the fact $Lock is really designed for map use, the Note menu's Move Note Up/Down controls can be used to affect map icon stacking order though this does in fact change the note's $OutlineOrder value (and thus its Outline view position).
For new adornments, $Lock state (default: unlocked) can be set via a check-box 'Locked' that appears in the Create Adornment dialog. (Note that the similar dialog for notes and agents lacks such a tick-box).
The value of Lock may be changed via:
* the Rename command of the adornment's contextual menu.
* the note or adornment's Info View (Locked in is the Map group of attributes)
* in the Note menu. For Adornments (only) this additionally requires that the current view is a Map view and that the adornment is the currently selected object. In the menu, the lock state is indicated by the entry toggling being 'Lock' or 'Unlock'.
A drag (marquee) select in Map views ignores locked adornments.

---
%%Longitude
This holds the longitude of $Address sourced via Automatic Geocoding.
Also see $Latitude.
---
%%MapBackgroundColor
Colour of the background in Map views.
This colour is in fact used for for the background of all main views (Outline, Explorer, Chart, Treemap).
The attribute's default is not set but it inherits the default of <code>#f2f2e6</code> (a buff colour) from the Preferences Maps pane.
A number of utility views also use $MapBackgroundColor (the document-level value, not the current note's) to draw the background of their list panes.
From v5.9.0 it is also be used, in Map views as the primary colour for background patterns.
---
%%MapBackgroundColor2
Accent colour used for Map view background patterns.
The attribute's default is not set but it inherits the default of <code>#f2f2e6</code> (a buff colour) from the Preferences Maps pane; the default is he same as that for $MapBrackgroundColor.
---
%%MapBackgroundPattern
This holds the pattern type for Map view background patterns.
The default "plain", is inherited from a Preference on the Maps pane.
---
%%MapBodyTextColor
Colour of the note's body text when displayed in a map view's note icon.
The colour can be specified as a named Tinderbox colour or as a hex colour, i.e. 'black' or '#000000'.
Default: <code>automatic</code>. This results in either a black or white colour depending on the value of $Color.
The note's map icon's title colour is set via $NameColor.
---
%%MapBodyTextSize
Specific font size for the body text displayed within map icons (rectangular icons only).
Some values have specific meanings:
* 0 (zero). The default value. The app chooses the text size automatically, based on scale vs. the size of the title.
* 1. From v5.0.2, this value suppresses display of body text, even if present.
For all other values, i.e. 2 or greater, use a point size value to choose an explicit font size, i.e. a value of 12 will render the body text as 12 point.
---
%%PrototypeHighlightColor
Colour of the circle shown behind the Outline view note icons of prototype notes.
The default is very light - if prototypes don't show a mark behind them try a darker value for this attribute. To avoid the mark showing, set the attribute the same as $MapBackgroundColor.
The default value of <code>#cceecc</code> is inherited from the Preference Map pane's Prototype highlight colour.

---
%%MapScrollX
Controls the initial X-axis scroll position of Map views of the contents of a container.
The value is in map units. These co-ordinates are floating-point numbers, and use the same relative co-ordinates as $Xpos and $Ypos.
For $MapScrollX, position '0' is when the scroll bar is in the middle of the view's vertical window scroller.
In the parent's viewport $MapScrollX is drawn halfway across the interior of the container's icon (i.e. $Width/2) though depending on $TitleHeight the position itself may be obscured.
If $MapScrollX/Y are {0.0}, then a note where <code>$Xpos=0;$Ypos=0</code> will be around the middle of the screen.
This attribute works in conjunction with $MapScrollY.
The attribute can be set via actions so it is possible to pre-set a particular area of the parent map to be set to be onscreen when opened.


---
%%MapScrollY
Controls the initial Y-axis scroll position of Map views of the contents of a container.
The value is in map units. These co-ordinates are floating-point numbers, and use the same relative co-ordinates as $Xpos and $Ypos.
For $MapScrollY, position '0' is when the scroll bar is in the middle of the view's horizontal window scroller.
In the parent's viewport $MapScrollY is drawn halfway down the interior of the container's icon (i.e. $Height/2) though depending on $TitleHeight the position itself may be obscured.
If $MapScrollX/Y are {0.0}, then a note where <code>$Xpos=0;$Ypos=0</code> will be around the middle of the screen.
This attribute works in conjunction with $MapScrollX.
The attribute can be set via actions so it is possible to pre-set a particular area of the parent map to be set to be onscreen when opened.

---
%%MapTextSize
Adjust the relative size of names in the Map View.
This option is chiefly useful for adornments, but can be useful to those wishing to tweak the look of their layout or allow for high-resolution screens and poor eyesight.
The base size of map items, at nominal magnification, continues to be set in Preferences, Maps, Note label size. This is indirectly inherits from Preferences. The attribute is a percentage of magnification applied to that note's Name caption text. Thus, if a note's $MapTextSize is 200, it will be twice as large as normally-sized items.
From v5.9.2 this cane be set from the Inspector's $Name pane.
---
%%Modified
Returns the time a note's text was last modified (read-only).
See also the $Created attribute will changed - at first creation of the note both are the same.
Note, the only attribute's changed being tracked here is $Text. Changes to other attributes do not update $Modified.
---
%%mt_allow_comments
Specifies, if 1, that MovableType weblogs allow comments.
---
%%mt_allow_pings
Specifies, if 1, that MovableType weblogs allow pings to weblogs.com.
---
%%mt_convert_breaks
Specifies, if 1, that MovableType adds its own markup to discover paragraph breaks.
---
%%mt_keywords
Allows the user to specify one or more categories for the current note for use in MoveableType and related weblogs.
---
%%Name
Specifies the title of the note.
$Name is equivalent to the ^^title^^ export code in the context of exporting data. The $Name string can be one word or more and can include symbols etc. - though the latter aren't suggested for use if you're going to export to HTML as you may/will have issues to resolve with HTML entities in the output.
Because Tinderbox recognises operators such as + and -, notes whose names begin with characters other than letters and numbers may sometimes be interpreted in unexpected ways.
For example, if a note is named "6*7", rules like
	<code>$Prototype=6*7</code> 
might be parsed as a multiplication with the result of 42. 
	<code>$Prototype="6*7"</code> 
should have the expected effect. 
The new attributes $DisplayExpression and (read-only) $DisplayName allow the user the option of showing the original name or as a manipulated version, e.g. with some information such as a word count concatenated on the end. Use of the new features is non-intrusive to existing use such as in actions & rules as $Name always retains the name as before any expression is applied to it.
---
%%NameAlignment
Specifies the justification of the title in notes and adornments.
Allowed values are:
* left
* center
* right
The attribute default is 'left', inherited from the Alignment setting in Title preferences.
---
%%NameBold
Controls use of bold type for the note name in map views (and all main views).
Changing the default value of $NameBold is convenient for bolding all note names.
---
%%NameColor
Colour used for the name (title) of the note in Map views. 
To set the colour of the title if displayed (via $ShowTitle) in the note's text window, use $TitleForegroundColor.
The colour can be specified as a named Tinderbox colour or – from v2.4.0 – as a hex colour, i.e. 'black' or '#000000'.
Default: automatic. This results in either a black or white colour depending on the value of $Color.
The colour of body text displayed in a map note icon is set via $MapBodyTextColor.
---
%%NameFont
Specifies the name of the font to use for rendering the $Name of a note in the Map view.
It is also used to render the note name in most views: e.g. Outline, Chart, Treemap, Roadmap, Find, Path, Common Words, etc.
The attribute's default is not set but is inherited as Lucida Grande (was Geneva pre-v2.3.0) from the Preferences Maps pane's 'Note label font' option.
---
%%NameLeading
Controls leading between lines of a multi-line title display, i.e. a wrapped map icon or outline title. 
Possible values:
* -1. Specifies that the space between lines should be chosen by the font ($NameFont).
* 0. Specifies that the lines of the name should be set as tightly as possible.
* Any other value (greater than zero) adds additional space between lines.
In outlines, the space between different titles is controlled by a Map Preference.
---
%%NameStrike
Controls whether note titles are rendered in strike-through.
More detail.
---
%%NoSpellling
Allows notes to be ignored if a document is set to 'check spelling as you type'. 
Default is 'false' - i.e. the note is included in spell checks to maintain previous behaviour.

---
%%OnAdd
Action code expression executed when a note becomes child of the current note, be it new or moved there by dragging. 
Adornments also offer 'OnAdd' action support. Although it takes a string argument, the string must be valid action syntax.
$OnAdd actions are applied to each item of a multiple-item drag, even if the dragged notes originate in a different file. The $OnAdd action is applied only once, when a note is created inside a container, or is moved into a container from some other container. This stops $OnAdd being re-applied for actions like moving an note on a Map and where $OnAdd may have iterative effects on a note if re-applied. Pasting a note into a container runs the $OnAdd action.
The container's $OnAdd action acts on both newly-made notes and agents.
For agents, $OnAdd is replaced by $AgentAction (though not in smart adornments)
Adornments show a slightly different behaviour. Here, the $OnAdd is re-triggered if a note is moved manually within the adornment - i.e. never leaves it - as the move effectively takes the note out of the adornment (start of move) and adds it back at the end of the move. However, if notes are moved automatically within an adornment due to adornment sorting, or by an external action altering $Xpos/$Ypos, the adornment's $OnAdd is not run again.
---
%%Opacity
Opacity of a note icon in map view.
The default opacity value of 100 leaves notes opaque, while an opacity of zero allows the note interior to be transparent.
Translucency may be useful in some maps with complex link networks, and also permits interesting visual effects.
N.B. Borders are not translucent.
Containers and agents are never translucent. If a note was translucent, later becomes a container, and later yet becomes a simple note once more, the note's $Opacity will again control its opacity.
Notes using some shapes – "cloud" and "bubble" – are drawn without borders when translucent. 
The Interior inspector's, Pattern -> translucent option toggles an Opacity value of 50/100.
From v5.10.2, both $TitleOpacity and $SubtitleOpacity are independent of $Opacity. However, the if higher than the value of $Opacity, the latter value is used when drawing the note.
---
%%Organization
Intended for storing the a person's email address.
---
%%OutboundLinkCount
Number of outbound links originating from the current note (read-only).
See also $InboundLinkCount. Web links are counted separately in $WebLinkCount.
The link count excludes any links of type "Prototype" (not true prior to v5.8.0).
---
%%OutlineBackgroundColor
Specifies a colour (named colour or hex value) to use as the background colour of that note's listing in Outline view.
The colour is carried across the width of the view including checkbox and column display areas.
With the default value of "automatic" the colour used is simply the same as $MapBackgroundColor; the inside of the checkboxes is always shown in $MapBackgroundColor.
---
%%OutlineColorSwatch
Controls whether a note in Outline View shows a colour swatch between the note icon and its title.
This attribute enables outlines to show simple progress bars.
---
%%OutlineDepth
Number of outline levels between a note and the document root (read-only).
Actually, it is 1 + the number as 'top-level' notes have $OutlineDepth of 1, notes inside a top-level container have$ OutlineDepth of 2, and so forth.
Aliases do not inherit this property from their original but have their own intrinsic value (from v5.6.0).
---
%%OutlineOrder
Sequential position in the overall document hierarchy (read-only).
It can be used by agents to judge the position of a note within the document. Note that some items not displayed in the Outline view, such as adornments, are still included in the $OutlineOrder. This should be borne in mind if doing calculations based on comparing sibling $OutlineOrder values as the 'next' item may not be a note (and there's no way to test this fact).
The order of notes within the current container is shown by $SiblingOrder.
The lowest number is drawn at the front in a map. If notes with outline orders #1 and #5 overlap, part of #5 will be behind the icon for #1.
The note menu command to move a note forward/backward or all the way to the back/front will alter both $OutlineOrder and $SiblingOrder for the affected note(s).
Aliases do not inherit this property from their original but have their own value (from v5.6.0).
---
%%OutlineTextSize
Relative size of individual items in Outline views.
The base font size of outline items (usually 10pt) is set as a Preference in the Maps section.
The new attribute is a numerical percentage of magnification applied to a particular note. Thus, if a note's $OutlineTextSize is 200, it will be twice as large as normally-sized items.
This setting does not affect the line weight of separators, only the text height of the line they occupy (to allow for a text label).
---
%%Pages
Used for Bookends reference import.
---
%%ParagraphSpacing
Sets paragraph spacing for individual notes.
The default value of $ParagraphSpacing is set in the Text pane of Document Preferences.
---
%%Path
Contains the path from the root of the document to the note (read-only).
For example, if the document contains the following notes:
<pre>
To Do
    Bank
    Post Office
    Garden
        Weeding
Done
    Tax
</pre> 
then the $Path of note 'Weeding' would be
<code>/To Do/Garden/Weeding</code> 
Note that this is the full path, including the current notes name. A full path always starts with a '/' character.
---
%%Pattern
Optional pattern to be drawn on the face of icons in Map view.
These patterns look best when the two colours are similar but not identical. The keywords are case-sensitive. Originally the default value was an empty string but in v5.10.1 this changed to 'diagonal'. In v5.10.1 this changed to 'solid' - which equates to 'plain'. The current default is 'plain', as at v5.12.0.
If $Pattern is plain no pattern is applied and the note face is drawn in solid $Color.
If $Pattern is lines, the face of the note is filled with alternative horizontal lines of $Color and $Color2.
If $Pattern is gradient, the face of the note is filled with a linear colour gradient, top to bottom, from $Color to $Color2.
If $Pattern is diagonal, the face of the note is filled with a linear colour gradient, running from upper-left to lower-right corner, from $Color to $Color2.
If $Pattern is cylinder, the face of the note is filled with a cylindrical gradient, running from $Color at the top through $Color2 at the midpoint, and then to $Color again at the bottom.
If $Pattern is radial, the face of the note is a graduation from $Color at 1/3 in from top-left through $Color2 toward all edges.
If $Pattern is not set (empty string), no pattern is applied and equating to plain.
The remaining four patterns can't be set via the Pattern menu; bar(), vbar(), bargraph() and plot(). Rather they are set via manual editing of this attribute (Info view, key attribute) or via actions, rules, stamps. etc., acting upon it.
bar([value],[min],[max]). The draws as a horizontal 'progress bar', using $Color and $Color2. The 'progress' block is drawn in $Color2.
vbar([value],[min],[max]). The draws as a vertical 'progress bar', using $Color and $Color2. The 'progress' block is drawn in $Color2.
In both cases the parameters work the same way:
* value. If used alone it is a percentage, otherwise it is a value between min and max. Thus <code>vbar(25)</code> is the same as <code>vbar(25,0,100)</code>.
* min & max. Numerical minimum and maximum values for computing the degree of 'progress' represented in $Color2 by value.
The arguments in the brackets may be numbers or expressions that can be evaluated as numbers. If a note's width is 3.0, then <code>bar(15*$Width)</code> is the same as writing <code>bar(45)</code>.
If the pattern is written without parameters or brackets, it evaluates as if at 50%, e.g. <code>vbar()</code> and <code>vbar</code> are the same as <code>vbar(50)</code>.
There are 2 further patterns, only used for Map view container plots: bargraph() & plot(). The patterns use the same parameters/syntax as bar()/vbar() above. The container then draws a plot over the top of its viewport area showing the value of the stated attribute (or expression) for each immediate child. The bargraph() gives a bar graph, and plot() a sparkline type plot. Containers only have one $Pattern value so can show a pattern either in the main icon or a container plot, but not both.

---
%%PlotBackgroundColor
Colour used for the plot background when a map container plot is configured (plot/bargraph/xyplot).
Before the graph is drawn, the space behind the plot is filled with the colour $PlotBackgroundColor with opacity of $PlotBackgroundOpacity. Previously the background was that of the child map.

---
%%PlotBackgroundOpacity
Opacity of background colour to the plot when a map container plot is configured (plot/bargraph/xyplot).
Before the graph is drawn, the space behind the plot is filled with the colour $PlotBackgroundColor with opacity of $PlotBackgroundOpacity. Previously the background was that of the child map.

---
%%PlotColor
Colour used to draw plots in containers.
---
%%Private
Controls whether a prototype appears in the Map view prototype tab menu or the Outline view pop-up list.
The note will continue to appear in the popup menus of the Create/Rename dialogs. This lets TBX document authors reserve some prototypes for special or internal use.
Other uses of "private" may be added in the future.
---
%%Prototype
The name of the current note's prototype note (if there is one).
The value may be the name of another prototype.
---
%%PrototypeBequeathsChildren
Controls whether a prototype's children are inherited by notes using that prototype.
Thus this attribute only has meaning for notes for which $IsPrototype is also set to <code>true</code>.
Children created by this method are not removed from inheriting notes if they subsequently cease to use the prototype.
By default (<code>true</code> ) all new prototypes will bequeath children and all descendants. Prior to v5.8.0, this was only direct children but not descendants. This negates the the previous need to use additional prototypes to give children to a prototype's children.
For prototypes that don't/won't have children this attribute has no effect on general function.
---
%%PublicationCity
Used for Bookends reference import.
---
%%PublicationYear
Used for Bookends reference import.
---
%%Publisher
Used for Bookends reference import.
---
%%RawData
An experimental attribute. It should be treated as an internal field for Tinderbox's private use.
It is listed here simply to discourage inquisitive tinkering. As an experimental attribute it may disappear, be renamed or take on a new purpose in later versions.
Purpose is experimental in support of RSS/AutoFetch to hold the raw data should the planned fetch fail. 
---
%%ReadCount
Tracks the number of times that a note is opened (read-only).
The count is cumulative from the creation of the note.
---
%%ReadOnly
Controls the whether the user can edit the text content ($Text) of a note.
$ReadOnly does not affect other note attributes. By default new notes are editable. Besides various read-only system attributes, this attribute is normally used for notes that fetch their content from the web: you don't really want to modify their content or indeed, cannot.
When set to true, to select text in the note you must use Cmd+drag-select instead of the normal drag select.
---
%%ReferenceRIS
Used for Bookends reference import.
---
%%ReferenceTitle
Used for Bookends reference import.
In v5.11.0 this was briefly named $Title, but this was renamed due to posible confusion with use of $Name.
---
%%ReferenceURL
Used for Bookends reference import.
---
%%RefFormat
Used for Bookends reference import.
---
%%RefKeywords
Used for Bookends reference import.
---
%%RefType
Used for Bookends reference import.
---
%%RightMargin
$RightMargin and $LeftMargin, allow the user to set margins for individual notes.
Note that the margins are set in multiples of 9 pixels; a left margin of 4 is equivalent to 36 pixels (0.5" or about 12.5mm). The default is set in the Text pane of the Preferences.
When copying and pasting note text between TBX files with different margin settings, the pasted text takes the receiving note's margin settings but the note window must be closed and re-opened for this fact to be correctly displayed on screen. See also Pasting and Text Margins.
---
%%RSSChannelTemplate
Specifies the name of the template used for RSS channels when importing ('AutoFetching') as RSS feed.
The default template is stored in the Tinderbox application package (though not in its templates folder) and is:
<pre><code>    ^^title^^
    ^^link^^
    ^^subtitle^^
    ^^description^^</code></pre>

---
%%RSSItemLimit
Restrict the size of any feed being read into Tinderbox.
Some news feeds syndicated a large number of items, and your design might have space for only a few. 
The default value, zero, imposes no limit on the number of items imported.
---
%%RSSItemTemplate
Specifies the template used for RSS items with importing ('AutoFetching') an RSS feed.
The default template is stored in the Tinderbox application package (though not in its templates folder) and is:
<pre><code>    ^^title^^
    ^^link^^
    ^^description^^</code></pre>
---
%%Rule
The rule code that the note executes. 
The string must be valid action syntax.
---
%%RuleDisabled
Allows the $Rule for a specific note to be disabled. It is intrinsic and thus not inherited.
Atypically for inheritance in Tinderbox, it is not inherited from a note's prototype (unlike most other attributes) - partly because a primary use is suppressing code running in prototypes.
$RuleDisabled is convenient when a rule may make significant changes to the note (or other parts of the document). Setting such a rule via a prototype can be problematic as the intent is only to rule to rule in notes inheriting the rule. Thus it can be useful to suppress $Rule activation in prototypes. Previously, this meant placing the Rule in an 'if($Prototype)' test which was cumbersome and meant every inheriting note had to run the addition if test adding load to the action code cycle. That workaround can be discarded and the attribute set to false in the Prototype. Because, atypically, this attribute isn't inherited from a prototype, the prototype's setting doesn't affect the Display Expression in notes using the prototype.
A similar control is supplied for display expressions: $DisplayExpressionDisabled.
---
%%ScrivenerID
Used for Scrivener Import.
---
%%ScrivenerKeywords
Used for Scrivener Import.
---
%%ScrivenerLabel
Used for Scrivener Import.
---
%%ScrivenerLabelID
Used for Scrivener Import.
---
%%ScrivenerNote
Used for Scrivener Import.
---
%%ScrivenerStatus
Used for Scrivener Import.
---
%%ScrivenerStatusID
Used for Scrivener Import.
---
%%ScrivenerType
Used for Scrivener Import.

---
%%Searchable
This allows fine-tuning of searches.
The default value is <code>true</code>; for adornments is it always <code>false</code>. The atribute is intrinsic.
New to v5.11.0.
---
%%SelectionCount
Tracks the number of times that a note is selected in a view window (read-only).
The count is cumulative from the creation of the note.
---
%%Separator
Controls whether a note or agent is rendered as a separator in Outline view.
If notes are given no name - i.e. show just as a line - a duplicate name warning is not issued even if reporting of such is turned on as a Warning Preference. The text of the separator is centred if it is smaller than the width of the separator label box.
---
%%Shadow
Controls whether an object uses drop shadows when rendered in maps.
When Shadow is <code>false</code>, the following attributes are ignored: $ShadowBlur, $ShadowColor, $ShadowDistance.
---
%%ShadowBlur
Blurriness of the object's map icon shadow as a numeric value.
The allowed range is 0-100.
This attribute is ignored if $Shadow is <code>false</code>.
---
%%ShadowColor
Hue of the shadow drawn for the objects map icon.
This attribute is ignored if $Shadow is false.
---
%%ShadowDistance
The numerical offset of the map icons drop-shadow (in pixels?).
The allowed range of values is 0-100.
This attribute is ignored if $Shadow is <code>false</code>.
---
%%Shape
Stores the shape used to draw the note's icon in Map view.
The value is normally set via the Shape sub-menu of the Note menu though it can always be set directly via the attribute. Allowed values are:
* rectangle
* oval
* lozenge
* diamond
* left tag
* right tag
* bubble
* cloud
The attribute default of [no value] equates to 'rectangle' in terms of the shape displayed in Map view.
$Shape name values are case-sensitive.
---
%%ShowTitle
Specifies whether the $DisplayName of the note is displayed at the top of note text windows.
The Preference Show Title on the Title pane of the preferences has the effect if globally setting this attribute for all notes.
The attribute default is not set but it inherits <code>false</code> from the Preferences Title pane.
---
%%SiblingOrder
Sequential sibling order number (read-only, 1-based).
The $SiblingOrder of the first child in a container is '1'. The $SiblingOrder of the next child is '2', and so on. 
The sibling order is effectively the the $OutlineOrder but only (numbered) for the current container.
The lowest number is drawn at the front in a map. If notes with sibling orders #1 and #5 overlap, part of #5 will be behind the icon for #1.
The note menu command to move a note forward/backward or all the way to the back/front will alter both $OutlineOrder and $SiblingOrder for the affected note(s).
Separators and adornments are included in sibling order. Note that some early versions of tinderbox, adornments used not to be included in sibling order. 
Regardless of $SiblingOrder values, in map view all adornments are drawn behind all notes/container/agents. It may be easier to think of the two sets of data as if being drawn on separate map overlays 
Aliases do not inherit this property from their original but have their own value (from v5.6.0).
---
%%SimplenoteKey
Used to support for Simplenote synchronisation.
For synched notes this attribute holds the Simplenote UID for the note.

---
%%SimplenoteModified
Used to support Simplenote synchronisation.
The attribute keeps track of the effective modification date according to the Simplenote server.
---
%%SimplenoteSync
Used internally by Tinderbox and should not be altered by users.
Further discussion of Simplenote sync support.
---
%%SimplenoteTags
Holds the simplenote [sic] tags associated with a simplenote-synced note (i.e. one in the /Simplenote container).
Further discussion of Simplenote sync support.
---
%%SimplenoteVersion
Used internally by Tinderbox and should not be altered by users.
Further discussion of Simplenote sync support.
---
%%Sort
Specifies the primary sorting order for notes within containers, agents and smart adornments.
The order is based on the name of an existing system or user attribute. The name is cited without a $-prefix as this attribute stores the traget attributes name, not it's value:
	CORRECT: <code>$Sort = "SomeAttribute"</code> (case-sensitive)
	FAIL: <code>$Sort = $SomeAttribute</code>
In default sorting A-Z precedes a-z, thus the sort order Aardvark, Boy, aardvark [sic], though this can be altered by $SortAlso which offers three choices of sort logic.
A secondary sort is also allowed, such as where two notes have equal values under the main sort criterion. The secondary sort is set via $SortAlso.
On Create/Rename dialogs, the list of available choices is shown in a $Sort pop-up menu.
If unsure of allowed target attribute on which to sort, the best place to set a sort is via the note's naming panel (Enter key). If exposed via $KeyAttributes, the value pop-up will only show values already sorted on within the document.
To reverse the sort order based on the given attribute, use $SortBackward.
---
%%SortAlso
Specifies the secondary sorting order for notes within containers, agents and smart adornments.
The order is based on the name of an existing system or user attribute. A string attribute. The name is cited without a $-prefix as this attribute stores the traget attributes name, not it's value:
	CORRECT: <code>$SortAlso = "SomeAttribute"</code> (case-sensitive)
	FAIL: <code>$SortAlso = $SomeAttribute</code>
In fact, the latter will work if the value $ SomeAttribute(this) is a valid attribute name.
In default sorting A-Z precedes a-z, thus the sort order Aardvark, Boy, aardvark [sic], though this can be altered by $SortAlsoTransform which offers three choices of sort logic.
A secondary sort is useful where two notes have equal values under the main sort criterion. The primary sort is set via $Sort.
On Create/Rename dialogs, the list of available choices is shown in a $Sort pop-up menu.
If unsure of allowed target attribute on which to sort, the best place to set a sort is via the note's naming panel (Enter key). If exposed via $KeyAttributes, the value pop-up will only show values already sorted on within the document.
To reverse the sort order based on the given attribute, use $SortBackwardAlso.
---
%%SortAlsoTransform
Holds the sort transform value for secondary sorts of containers and agents.
The primary sort transform is stored in $SortTransform.
On Create/Rename dialogs, the list of available choices is shown in a Sort Transform pop-up menu.
---
%%SortBackward
Specifies whether the sorting order for $Sort is backwards.
For example, Z -> A instead of A -> Z, etc.; thus the sort order aardvark, Boy, Aardvark [sic].
---
%%SortBackwardAlso
Specifies whether the sorting order for $SortAlso is backwards.
For example, Z -> A instead of A -> Z, etc.; thus the sort order aardvark, Boy, Aardvark [sic].
---
%%SortTransform
Holds the sort transform value for sorts of containers and agents.
The secondary sort transform is stored in $SortAlsoTransform.
On Create/Rename dialogs, the list of available choices is shown in a Sort Transform pop-up menu.
---
%%StartDate
A date attribute provided to facilitate organisation of tasks.
See also $DueDate and $EndDate.
For Timeline views, events with only $EndDate or an $EndDate before $StartDate will not plot correctly. If using an $EndDate, a $sSartDate must be supplied.
---
%%Sticky
Controls whether an adornment, when moved, also drags any notes on top of it.
This attribute may also set by ticking a new box in the adornment dialog.
If an adornment is sticky, objects (including other adornments, notes, agents, and containers) that overlap the adornment will move when the adornment is repositioned. This makes it much easier to work with very large, complex maps.
Note that, while moving a sticky adornment moves notes on top of it, you can still move those notes without affecting the sticky adornment.
A check-box 'Sticky' appears in the adornment's dialog window.
---
%%Subtitle
Holds the optional subtitle text that is displayed beneath the note title in map view.
This subtitle, typically drawn in smaller type, provides means to give additional information about the note. The subtitle can be set or changed through the $Subtitle attribute.
The subtitle may most easily be set in the Inspector’s name pane or directly into the attribute via code or Info view. Subtitles may also be set or edited by clicking and holding an existing subtitle, or by clicking and holding beneath the note's name even if there is no current subtitle. The mechanism is the same as Edit-in-Place.
Subtitles only appear in maps, and appear only if the note affords sufficient space. However, the subtitle is displayed on hover in outlines if the note has no Hover Expression. In a map both $Subtitle and $HoverExpression can be displayed (assuming they both have a value).
Other attributes allow fine tuning of the look of subtitles:
• $SubtitleOpacity (a percentage, defaults to 75).
• $SubtitleSize (a percentage of the main title size, defaults to 80).
• $SubtitleColor (defaults to automatic, in which case $NameColor is used).

---
%%SubtitleColor
Sets the colour of $Subtitle text.
The default setting is automatic which is the same as the $NameColor default.
---
%%SubtitleOpacity
Controls the opacity with which the text of $Subtitle is drawn.
From v5.10.2, both $TitleOpacity and $SubtitleOpacity are independent of $Opacity. However, the if higher than the value of $Opacity, the latter value is used when drawing the note.
---
%%SubtitleSize
The size of $Subtitle text in Map view.
The number is a percentage of the text size of the $Name label.
---
%%TableExpression
This holds an expression for display af tabular information about a container's child notes in map icons
For example, if $TableExpression is
	 <code>$Name+"|"+$WordCount</code>
Tinderbox will draw a two-column table containing the $Name and $WordCount of the first few children of the container. The "|" character (often called a vertical bar or pipe) separates the columns of the table.
Optional column headings can be specified via $TableHeading.
The expression code may be conditional. This lists all children with $Name and $Sibling order data displayed:
	<code>if($Prototype != "Attributes"){$Name+"|"+$SiblingOrder}</code> 
This conditional version ignores any children that are agents:
	<code>if(!$AgentQuery){$Name+"|"+$SiblingOrder}</code> 
This version only lists items of prototype type "Event":
	<code>if($Prototype += "Event"){$Name+"|"+$SiblingOrder}</code> 

---
%%TableHeading
Optional column headings for display of tabular information about a container's child notes in map icons.
Columns should be separated by a "|". Thus:
	 <code>$TableHeading="Word Count|Value"</code>
would be used as heading for a list of $WordCount values. 
Tinderbox uses the pipe (|) character to parse out the individual column titles from the overall string. Remember that if using attribute names as column titles, you want to refer to the actual name and not a reference to it, so don't use a $-prefix.
The data for such tables is specified via TableExpression.
N.B. when entering such a value via Info view, do not include the enclosing quotes. 
---
%%Tabs
A semi-colon delimited list of intervals between tab stops, measured in inches. 
Tab stops are thus adjustable. For example, if $Tabs is 
	<code>1;3;0.5</code> 
…the first tab stop will be one inch from the left edge. The second tab stop will be three inches to the right of the first — four inches from the edge. The third (and subsequent) tab stops will be placed at intervals of 0.5".
Tab stops are measured from the left margin of the text.
---
%%Telephone
Intended for storing a person's phone number.
---
%%Text
The text, i.e. body copy, of any note or other object.
The word count of $Text is given by $WordCount and the character count of $Text is given by $TextLength.
The contents of $Text can be altered both by typing into the text pane of a note text window or via action code methods. If using the latter method, novice users should be very careful about appending to $Text as repeating actions can unintentionally rapidly lead to very large amounts of data. Setting $Text via a action code results in new text using the $TextFont font.
If a note is set to use $AutoFetch its $ReadOnly attribute is set to true, rendering the text un-editable (either turn off auto-fetch or alter $ReadOnly's value to edit $Text again).


---
%%TextAlign
The text justification style used for $Text in text windows and text display on map icons.
The underlying default value is an empty string. The Text Preferences default is left and thus the inherited default. Values allowed: "left", "center", "right".
This alignment is also reflected in note text displayed in map note icons.
---
%%TextBackgroundColor
Specifies the background colour to be used for the area where $Text is displayed.
The attribute default is not set but inherits <code>#ffffff</code> (white) from the Preferences Text pane's Background colour option.
---
%%TextColor
Specifies the default (starting) display colour of $Text in text windows, before any further editing.
This colour may be modified by further text editing — it is the 'default' colour for new text in that note.
IMPORTANT: Changes to this attribute affect only those notes with no current $Text. Once anything has been added to $Text, inheritance is broken. Thereafter $Text uses the relevant attribute settings as at the time the text was added; they are effectively 'baked' into the $Text. The only way to 'reset' text with the wrong $TextColor value is to select the text and apply plain text formatting (Style menu). WARNING: setting plain text resets all $Text styling attributes. Is is not possible to 'reset' only font but not colour, text size, bolding, etc., as might be otherwise intuited.
A color attribute. The attribute default is not set but inherits <code>#000000</code> (black) from the Preferences Text pane's Text color option.
---
%%TextExportTemplate
Specifies the name of the template to be used for text export (as opposed to HTML export).
Inherits the default set (if set) via the Preferences Text Export pane's Export template option- the app default being the built-in 'outline' Text export template.
---
%%TextFont
Sets the default or "normal" font for each note; it is used only when applying Plain text style, or in newly-created notes.
The default value is inherited from Preferences, Text, Font. A string attribute. The default is Hoefler Text.
This attribute allows a class of notes (e.g. via a prototype) to inherit a specific body text font via a prototype.
$TextFont is easily overridden simply by selecting a font from the Font palette.
IMPORTANT: Changes to this attribute affect only those notes with no current $Text. Once anything has been added to $Text, inheritance is broken. Thereafter $Text uses the relevant attribute settings as at the time the text was added; they are effectively 'baked' into the $Text. The only way to 'reset' text with the wrong $TextFont value is to select the text and apply plain text formatting (Style menu). WARNING: setting plain text resets all $Text styling attributes. Is is not possible to 'reset' only font but not colour, text size, bolding, etc., as might be otherwise intuited.
$TextFont is used for any Text set via an action or rule.
---
%%TextFontSize
Sets the default or "normal" font size for each note.
The value is inherited from Preferences, Text, Size.
This attribute allows a set of notes (e.g. Code Examples or Shopping List) to inherit a specific body text font size via a prototype.
$TextFontSize is easily overridden simply by selecting a font size from the Font palette.
IMPORTANT: Changes to this attribute affect only those notes with no current $Text. Once anything has been added to $Text, inheritance is broken. Thereafter $Text uses the relevant attribute settings as at the time the text was added; they are effectively 'baked' into the $Text. The only way to 'reset' text with the wrong $TextFontSize value is to select the text and apply plain text formatting (Style menu). WARNING: setting plain text resets all $Text styling attributes. Is is not possible to 'reset' only font but not colour, text size, bolding, etc., as might be otherwise intuited.
---
%%TextLength
The number of characters (character count) of the current note (read-only).
See also $WordCount for a count of discrete words in the note's text.
---
%%TextSidebar
Stores the display state (shown/hidden) of a note's text window sidebar.
The attribute value is inherited from the Preferences Text pane.
---
%%TimelineBand
Assigns an event to a specific vertical band in Timeline view.
By default all events are in band 0, but can be set to another band by drag-drop or via action code.
Although the attribute accepts any number, the valid range is whole numbers 0-1300. 1300 is not a hard limit - and that many bands shouldn't be needed - but above that number timeline band labels are clipped or not drawn at all.
From v5.10.2, this attribute is intrinsic for aliases, allowing aliases to be paced in a different timeline band to their original.
---
%%TimelineBandLabelColor
Holds the colour used to draw band labels in a timeline.
When set locally it applies to the current container's Timeline view.

---
%%TimelineBandLabelOpacity
Stores an opacity value for drawing band labels in the current container's Timeline view.
---
%%TimelineBandLabels
Holds the assigned labels for different Timeline view bands and is a semicolon-delimited string. 
For example, the string "Paris;London;Madrid" would label three bands, “Paris”, “London”, and “Madrid”. Labels are drawn onto the timeline in the order stored; in the example band number 0 will be labelled "Paris".
---
%%TimelineColor
Used to colour every other (even-numbered) timeline band within a Timeline view.
A desaturated tint of the colour - rather than the exact colour name/value specified - is used to avoid undue contrast.
---
%%TimelineEnd
Sets an optional end date for a Timeline View of that container.
Notes with a $StartDate later than this are listed in the "out of Range" section of the view. By default, this attribute is not set.
---
%%TimelineGridColor
Sets the colour of timeline guidelines for that note's Timeline view.
---
%%TimelineMarker
Controls whether marker lines drawn from events to the Timeline view's scale persist when a note is not currently selected.
The marker lines are drawn from the left edge of events. The default is <code>false</code>, with lines only shown for selected items.
---
%%TimelineScaleColor
Sets the primary colour used in the gradient in the time scale at the bottom of the Timeline view.
The default is 'cool gray'. The scale uses a gradient to fade to $TimelineScaleColor2.
---
%%TimelineScaleColor2
Sets the secondary colour used in the gradient in the time scale at the bottom of the Timeline view.
The default is inherited from the note's $MapBackgroundColor (which is in turn inherited from the Map Preference for background colour) which results in '#f2f2e6'. The scale uses a gradient to fade from $TimelineScaleColor. The default means the top edge of the scale bar is the same as the background of the main content portion of the map.
---
%%TimelineStart
Sets a start date for a Timeline View of that container; notes with a $StartDate earlier than this are listed in the "out of Range" section of the view.
By default, this attribute is not set.
---
%%TitleBackgroundColor
Specifies the background colour for the title pane in text windows.
It defaults to the settings in the app/document preferences (Title pane, 'Background Color').
The attribute default is not set but inherits <code>#000000</code> (black) from the Preferences Title pane.
---
%%TitleFont
Specifies the name of the font used for displaying the current note's title in the title pane of the note's text window.
The attribute's default is not set but is inherited as Lucida Grande (it was Geneva pre-v2.3.0) from the Preferences Title pane's Font option.
---
%%TitleForegroundColor
Specifies the foreground colour for the title pane in text windows — i.e. the colour of the text. To set this colour in the Map view, use$NameColor.
The attribute default is not set but inherits <code>#ffffff</code> (white) from the Preferences Title pane's Text color option.
---
%%TitleHeight
Sets height of the title bar in a map container/agent map icon, in map units.
$TitleHeight is only used by agents and container notes and ignored by other objects. It is expressed in relative map units, as for Height and Width.
For a (selected) container - a note or agent - a splitter resize mouse icon is shown when the mouse is over the boundary of the title area and the map viewport; click and drag (hand icon) the mouse up or down to alter the height of the title area.
The default value of 0 (or a set value of 0) allows the icon to use Tinderbox's normal auto-resizing where the title area grows as the overall icon area does.
If $TitleHeight is set to other than zero, then resizing the overall size of the container has no effect on the height of the title area.
To 'hide' the viewport area of a container, set the $TitleHeight to equal $Height. This makes the map icon look like a normal note except the two bottom corners (note) or top corners (agent) are rounded. While the viewport is hidden, it is not possible to double-click drill down but its shortcut (Cmd+Opt+Return) will work.
---
%%TitleOpacity
Controls the opacity used when drawing the $Name onto a map icon.
The default is 100 - totally opaque.
From v5.10.2, both $TitleOpacity and $SubtitleOpacity are independent of $Opacity. However, the if higher than the value of $Opacity, the latter value is used when drawing the note.
---
%%Twitter
This string attribute holds a person's Twitter account name.
---
%%URL
Specifies the URL to be used if the current notes fetches its text content from the web.
As well as 'http' URLs, 'mailto' addresses and other such protocols can be used, including pseudo protocols used by some desktop app. The ViewInBrowser attribute controls whether the fetched content is shown in the note or in a web browser window. 
Prior to v5 this was a a string data type attribute.
---
%%ViewInBrowser
Controls whether opening the note's text window also causes the not'e $URL to be opened in a web browser.
---
%%Volume
Used for Bookends reference import.
---
%%WebLinkCount
Holds the number of outbound links originating from the current note (read-only).
Formerly, these were lumped into $OutboundLinkCount.
---
%%WeblogPostID
Specifies the ID for weblog APIs such as MovableType, Blogger and Radio Userland.
---
%%Width
The width of a note icon in the Map view, in map units.
See also $Height.
Aliases do not inherit this property from their original but have their own value.
---
%%WordCount
The number of discrete words in the current note's $Text (read-only).
See $TextLength for the total character count).
In very early versions the attribute name was Wordcount and the program allows either spelling. However, the old version is now deprecated.
---
%%Xpos
$Xpos with $Ypos, give co-ordinates of the note relative to the centre of the Map view (in map units).
$Xpos = 0 is the middle of the X-axis of the map, with negative values moving left, positive values moving right. See Map Co-ordinates.
Aliases do not inherit this property from their original but have their own value.
---
%%Ypos
$Ypos with $Xpos, give co-ordinates of the note relative to the centre of the Map view (in map units).
$Ypos = 0 is the middle of the Y-axis of the map, with negative values moving up [sic], positive values moving down. Note the Y-axis value orientation is the reverse of normal Cartesian Y co-ordinates, but does makes sense in the context of a visual top-left-to-bottom-right visual layout. See Map Co-ordinates.
Aliases do not inherit this property from their original but have their own value.
---
%%CaptionAlignment
Horizontal alignment setting for captions.
---
%%CaptionColor
Colour used to draw caption text.
---
%%CaptionFont
Font used to draw caption text.
---
%%CaptionOpacity
Opacity of caption text.
---
%%CaptionSize
Font size of caption text.
---
%%TimelineAliases
If true, in-scope aliases are included in the timeline.
---
%%TimelineDescendants
If true, only direct children are shown in the timeline.
---
%%TimelineStartAttribute
Define an alternate start date attribute for Timeline inclusion (defaults to StartDate).
---
%%TimelineEndAttribute
Define an alternate end date attribute for Timeline inclusion (defaults to EndDate).
---
%%AdornmentCount
The number of adornments that are immediate children of this agent or container.
---
%%Caption
A caption string displayed beneath map objects.

---
%%GridColumns
Number of grid columns on an adornment.
---
%%GridColor
Colour used for adornment grid.
---
%%GridLabelFont
Font used for adornment grid labels.
---
%%GridLabelSize
Font size used for adornment grid labels.
---
%%GridLabels
List of text labels for adornment grid cells.
---
%%GridOpacity
Opacity of adornment grid lines.
---
%%GridRows
Number of grid rows on an adornment.
---
%%MapBackgroundFill
Image fill displayed behind the current map.
---
%%MapBackgroundFillOpacity
Opacity of the image fill displayed behind the current map.
---
%%Direction
Direction in which tag points.
---
%%LeafDirection
Deprecated - now use Direction.
---
%%Base
Controls aspects of the shape of arrows and leaf shapes.
---
%%LeafBase
Deprecated - now use Base.
---
%%Tip
Controls aspects of the shape of arrows and leaf shapes.
---
%%LeafTip
Deprecated - now use Tip.
---
%%PrototypeHighlightColor
Colour of the circle shown behind the Outline view note icons of prototype notes.
---
%%MapPrototypeColor
Deprecated - use PrototypeOutlineColor.
---
%%HideKeyAttributes
Hides key attributes table, even if defined for this note.
---
%%SmartQuotes
Allows note-level setting of use of automatic smart quotes.
---
%%TextPaneRatio
Custom ratio of main view to text view for the current note.
---
%%TextPaneWidth
Stores a custom width for the note’s text pane.
---
%%PlotColorList
A list of colors to be used in this note’s pie charts.
---
%%ChosenWord
In Storyspace, the word the reader last clicked on when visiting this note.
---
%%Visits
In Storyspace, the number of times the reader has visited this note.
---
%%OnVisit
In Storyspace, an action performed when the reader visits this note.
---
%%KeyAttributeDateFormat
The format string to be used with presenting dates in the key attributes table.
---
%%Tags
A set of free-form tags that you can use to describe note topics, context, or other useful attributes. When notes are dragged to DevonThink, these tags will be imported as DevonThink tags.
---

